!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 203

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1566)
  integer, parameter :: nGC_5221 = 1
  integer, parameter :: nGC_233 = 2
  integer, parameter :: nGC_231 = 3
  integer, parameter :: nGC_237 = 4
  integer, parameter :: nGC_235 = 5
  integer, parameter :: nGC_239 = 6
  integer, parameter :: nGC_4666 = 7
  integer, parameter :: nGC_4667 = 8
  integer, parameter :: nGC_4665 = 9
  integer, parameter :: nGC_4662 = 10
  integer, parameter :: nGC_4663 = 11
  integer, parameter :: nGC_4660 = 12
  integer, parameter :: nGC_4661 = 13
  integer, parameter :: nGC_4668 = 14
  integer, parameter :: nGC_4669 = 15
  integer, parameter :: nGC_4590 = 16
  integer, parameter :: nGC_4591 = 17
  integer, parameter :: nGC_4592 = 18
  integer, parameter :: nGC_4593 = 19
  integer, parameter :: nGC_4594 = 20
  integer, parameter :: nGC_4595 = 21
  integer, parameter :: nGC_4596 = 22
  integer, parameter :: nGC_4597 = 23
  integer, parameter :: nGC_4598 = 24
  integer, parameter :: nGC_4599 = 25
  integer, parameter :: nGC_MHL = 26
  integer, parameter :: nGC_MHH = 27
  integer, parameter :: nGC_4729 = 28
  integer, parameter :: nGC_4728 = 29
  integer, parameter :: nGC_4727 = 30
  integer, parameter :: nGC_4726 = 31
  integer, parameter :: nGC_4725 = 32
  integer, parameter :: nGC_4724 = 33
  integer, parameter :: nGC_4723 = 34
  integer, parameter :: nGC_4722 = 35
  integer, parameter :: nGC_4721 = 36
  integer, parameter :: nGC_4720 = 37
  integer, parameter :: nGC_221 = 38
  integer, parameter :: nGC_223 = 39
  integer, parameter :: nGC_225 = 40
  integer, parameter :: nGC_227 = 41
  integer, parameter :: nGC_4613 = 42
  integer, parameter :: nGC_4612 = 43
  integer, parameter :: nGC_4611 = 44
  integer, parameter :: nGC_4610 = 45
  integer, parameter :: nGC_4617 = 46
  integer, parameter :: nGC_4616 = 47
  integer, parameter :: nGC_4615 = 48
  integer, parameter :: nGC_4614 = 49
  integer, parameter :: nGC_4619 = 50
  integer, parameter :: nGC_29 = 51
  integer, parameter :: nGC_26 = 52
  integer, parameter :: nGC_99 = 53
  integer, parameter :: nGC_98 = 54
  integer, parameter :: nGC_97 = 55
  integer, parameter :: nGC_96 = 56
  integer, parameter :: nGC_95 = 57
  integer, parameter :: nGC_94 = 58
  integer, parameter :: nGC_93 = 59
  integer, parameter :: nGC_92 = 60
  integer, parameter :: nGC_91 = 61
  integer, parameter :: nGC_90 = 62
  integer, parameter :: nGC_75 = 63
  integer, parameter :: nGC_74 = 64
  integer, parameter :: nGC_77 = 65
  integer, parameter :: nGC_76 = 66
  integer, parameter :: nGC_71 = 67
  integer, parameter :: nGC_70 = 68
  integer, parameter :: nGC_73 = 69
  integer, parameter :: nGC_72 = 70
  integer, parameter :: nGC_79 = 71
  integer, parameter :: nGC_78 = 72
  integer, parameter :: nGC_4738 = 73
  integer, parameter :: nGC_4739 = 74
  integer, parameter :: nGC_4734 = 75
  integer, parameter :: nGC_4735 = 76
  integer, parameter :: nGC_4736 = 77
  integer, parameter :: nGC_4737 = 78
  integer, parameter :: nGC_4730 = 79
  integer, parameter :: nGC_4731 = 80
  integer, parameter :: nGC_4732 = 81
  integer, parameter :: nGC_4733 = 82
  integer, parameter :: nGC_219 = 83
  integer, parameter :: nGC_217 = 84
  integer, parameter :: nGC_211 = 85
  integer, parameter :: nGC_213 = 86
  integer, parameter :: nGC_4600 = 87
  integer, parameter :: nGC_4601 = 88
  integer, parameter :: nGC_4602 = 89
  integer, parameter :: nGC_4603 = 90
  integer, parameter :: nGC_4604 = 91
  integer, parameter :: nGC_4605 = 92
  integer, parameter :: nGC_4606 = 93
  integer, parameter :: nGC_4607 = 94
  integer, parameter :: nGC_4608 = 95
  integer, parameter :: nGC_4609 = 96
  integer, parameter :: nGC_MI = 97
  integer, parameter :: nGC_MM = 98
  integer, parameter :: nGC_MC = 99
  integer, parameter :: nGC_MB = 100
  integer, parameter :: nGC_5250 = 101
  integer, parameter :: nGC_ME = 102
  integer, parameter :: nGC_MD = 103
  integer, parameter :: nGC_MZ = 104
  integer, parameter :: nGC_TS_GC_78_Hl = 105
  integer, parameter :: nGC_MS = 106
  integer, parameter :: nGC_MW = 107
  integer, parameter :: nGC_MU = 108
  integer, parameter :: nGC_MT = 109
  integer, parameter :: nGC_TS_GC_93_Hl = 110
  integer, parameter :: nGC_88 = 111
  integer, parameter :: nGC_89 = 112
  integer, parameter :: nGC_80 = 113
  integer, parameter :: nGC_81 = 114
  integer, parameter :: nGC_82 = 115
  integer, parameter :: nGC_83 = 116
  integer, parameter :: nGC_84 = 117
  integer, parameter :: nGC_85 = 118
  integer, parameter :: nGC_86 = 119
  integer, parameter :: nGC_87 = 120
  integer, parameter :: nGC_66 = 121
  integer, parameter :: nGC_67 = 122
  integer, parameter :: nGC_64 = 123
  integer, parameter :: nGC_65 = 124
  integer, parameter :: nGC_62 = 125
  integer, parameter :: nGC_63 = 126
  integer, parameter :: nGC_60 = 127
  integer, parameter :: nGC_61 = 128
  integer, parameter :: nGC_TS_GC_70_Hh = 129
  integer, parameter :: nGC_68 = 130
  integer, parameter :: nGC_69 = 131
  integer, parameter :: nGC_4709 = 132
  integer, parameter :: nGC_4708 = 133
  integer, parameter :: nGC_4701 = 134
  integer, parameter :: nGC_4700 = 135
  integer, parameter :: nGC_4703 = 136
  integer, parameter :: nGC_4702 = 137
  integer, parameter :: nGC_4705 = 138
  integer, parameter :: nGC_4704 = 139
  integer, parameter :: nGC_4707 = 140
  integer, parameter :: nGC_4706 = 141
  integer, parameter :: nGC_209 = 142
  integer, parameter :: nGC_203 = 143
  integer, parameter :: nGC_207 = 144
  integer, parameter :: nGC_205 = 145
  integer, parameter :: nGC_4639 = 146
  integer, parameter :: nGC_4638 = 147
  integer, parameter :: nGC_4635 = 148
  integer, parameter :: nGC_4634 = 149
  integer, parameter :: nGC_4637 = 150
  integer, parameter :: nGC_4636 = 151
  integer, parameter :: nGC_4631 = 152
  integer, parameter :: nGC_4630 = 153
  integer, parameter :: nGC_4633 = 154
  integer, parameter :: nGC_4632 = 155
  integer, parameter :: nGC_4569 = 156
  integer, parameter :: nGC_10313 = 157
  integer, parameter :: nGC_10314 = 158
  integer, parameter :: nGC_10315 = 159
  integer, parameter :: nGC_TS_GC_67_Hh = 160
  integer, parameter :: nGC_53 = 161
  integer, parameter :: nGC_52 = 162
  integer, parameter :: nGC_51 = 163
  integer, parameter :: nGC_50 = 164
  integer, parameter :: nGC_57 = 165
  integer, parameter :: nGC_56 = 166
  integer, parameter :: nGC_55 = 167
  integer, parameter :: nGC_54 = 168
  integer, parameter :: nGC_59 = 169
  integer, parameter :: nGC_58 = 170
  integer, parameter :: nGC_4664 = 171
  integer, parameter :: nGC_7611 = 172
  integer, parameter :: nGC_5289 = 173
  integer, parameter :: nGC_5288 = 174
  integer, parameter :: nGC_5283 = 175
  integer, parameter :: nGC_5282 = 176
  integer, parameter :: nGC_5281 = 177
  integer, parameter :: nGC_5280 = 178
  integer, parameter :: nGC_5287 = 179
  integer, parameter :: nGC_5286 = 180
  integer, parameter :: nGC_5285 = 181
  integer, parameter :: nGC_5284 = 182
  integer, parameter :: nGC_4628 = 183
  integer, parameter :: nGC_4629 = 184
  integer, parameter :: nGC_4622 = 185
  integer, parameter :: nGC_4623 = 186
  integer, parameter :: nGC_4620 = 187
  integer, parameter :: nGC_4621 = 188
  integer, parameter :: nGC_4626 = 189
  integer, parameter :: nGC_4627 = 190
  integer, parameter :: nGC_4624 = 191
  integer, parameter :: nGC_4625 = 192
  integer, parameter :: nGC_4716 = 193
  integer, parameter :: nGC_4717 = 194
  integer, parameter :: nGC_4714 = 195
  integer, parameter :: nGC_4715 = 196
  integer, parameter :: nGC_4712 = 197
  integer, parameter :: nGC_4713 = 198
  integer, parameter :: nGC_4710 = 199
  integer, parameter :: nGC_4711 = 200
  integer, parameter :: nGC_4718 = 201
  integer, parameter :: nGC_4719 = 202
  integer, parameter :: nGC_4578 = 203
  integer, parameter :: nGC_4579 = 204
  integer, parameter :: nGC_4576 = 205
  integer, parameter :: nGC_4577 = 206
  integer, parameter :: nGC_4574 = 207
  integer, parameter :: nGC_4575 = 208
  integer, parameter :: nGC_4572 = 209
  integer, parameter :: nGC_4573 = 210
  integer, parameter :: nGC_4570 = 211
  integer, parameter :: nGC_4571 = 212
  integer, parameter :: nGC_413 = 213
  integer, parameter :: nGC_10051 = 214
  integer, parameter :: nGC_TS_GC_66_Hh = 215
  integer, parameter :: nGC_TS_GC_66_Hl = 216
  integer, parameter :: nGC_TS_GC_79_Hl = 217
  integer, parameter :: nGC_TS_GC_79_Hh = 218
  integer, parameter :: nGC_5428 = 219
  integer, parameter :: nGC_48 = 220
  integer, parameter :: nGC_49 = 221
  integer, parameter :: nGC_44 = 222
  integer, parameter :: nGC_45 = 223
  integer, parameter :: nGC_46 = 224
  integer, parameter :: nGC_47 = 225
  integer, parameter :: nGC_40 = 226
  integer, parameter :: nGC_41 = 227
  integer, parameter :: nGC_42 = 228
  integer, parameter :: nGC_43 = 229
  integer, parameter :: nGC_5298 = 230
  integer, parameter :: nGC_5299 = 231
  integer, parameter :: nGC_5290 = 232
  integer, parameter :: nGC_5291 = 233
  integer, parameter :: nGC_5292 = 234
  integer, parameter :: nGC_5293 = 235
  integer, parameter :: nGC_5294 = 236
  integer, parameter :: nGC_5295 = 237
  integer, parameter :: nGC_5296 = 238
  integer, parameter :: nGC_5297 = 239
  integer, parameter :: nGC_9899 = 240
  integer, parameter :: nGC_9892 = 241
  integer, parameter :: nGC_9893 = 242
  integer, parameter :: nGC_9891 = 243
  integer, parameter :: nGC_9894 = 244
  integer, parameter :: nGC_7456 = 245
  integer, parameter :: nGC_7452 = 246
  integer, parameter :: nGC_7180 = 247
  integer, parameter :: nGC_4763 = 248
  integer, parameter :: nGC_4762 = 249
  integer, parameter :: nGC_4761 = 250
  integer, parameter :: nGC_4760 = 251
  integer, parameter :: nGC_4767 = 252
  integer, parameter :: nGC_4766 = 253
  integer, parameter :: nGC_4765 = 254
  integer, parameter :: nGC_4764 = 255
  integer, parameter :: nGC_4769 = 256
  integer, parameter :: nGC_4768 = 257
  integer, parameter :: nGC_7276 = 258
  integer, parameter :: nGC_409 = 259
  integer, parameter :: nGC_405 = 260
  integer, parameter :: nGC_TS_GC_57_Hl = 261
  integer, parameter :: nGC_629 = 262
  integer, parameter :: nGC_8691 = 263
  integer, parameter :: nGC_5261 = 264
  integer, parameter :: nGC_7855 = 265
  integer, parameter :: nGC_7856 = 266
  integer, parameter :: nGC_7857 = 267
  integer, parameter :: nGC_7858 = 268
  integer, parameter :: nGC_5359 = 269
  integer, parameter :: nGC_5351 = 270
  integer, parameter :: nGC_5350 = 271
  integer, parameter :: nGC_5357 = 272
  integer, parameter :: nGC_8931 = 273
  integer, parameter :: nGC_39 = 274
  integer, parameter :: nGC_38 = 275
  integer, parameter :: nGC_31 = 276
  integer, parameter :: nGC_30 = 277
  integer, parameter :: nGC_33 = 278
  integer, parameter :: nGC_32 = 279
  integer, parameter :: nGC_35 = 280
  integer, parameter :: nGC_12179 = 281
  integer, parameter :: nGC_37 = 282
  integer, parameter :: nGC_36 = 283
  integer, parameter :: nGC_7670 = 284
  integer, parameter :: nGC_7671 = 285
  integer, parameter :: nGC_7672 = 286
  integer, parameter :: nGC_7673 = 287
  integer, parameter :: nGC_7674 = 288
  integer, parameter :: nGC_7515 = 289
  integer, parameter :: nGC_4770 = 290
  integer, parameter :: nGC_4771 = 291
  integer, parameter :: nGC_4772 = 292
  integer, parameter :: nGC_4773 = 293
  integer, parameter :: nGC_4774 = 294
  integer, parameter :: nGC_4775 = 295
  integer, parameter :: nGC_4776 = 296
  integer, parameter :: nGC_4777 = 297
  integer, parameter :: nGC_4778 = 298
  integer, parameter :: nGC_4779 = 299
  integer, parameter :: nGC_MTA = 300
  integer, parameter :: nGC_7241 = 301
  integer, parameter :: nGC_7240 = 302
  integer, parameter :: nGC_7245 = 303
  integer, parameter :: nGC_10504 = 304
  integer, parameter :: nGC_4809 = 305
  integer, parameter :: nGC_4803 = 306
  integer, parameter :: nGC_1929 = 307
  integer, parameter :: nGC_1103 = 308
  integer, parameter :: nGC_1589 = 309
  integer, parameter :: nGC_7864 = 310
  integer, parameter :: nGC_7863 = 311
  integer, parameter :: nGC_5340 = 312
  integer, parameter :: nGC_5341 = 313
  integer, parameter :: nGC_TS_GC_74_Hh = 314
  integer, parameter :: nGC_28 = 315
  integer, parameter :: nGC_22 = 316
  integer, parameter :: nGC_23 = 317
  integer, parameter :: nGC_20 = 318
  integer, parameter :: nGC_21 = 319
  integer, parameter :: nGC_7649 = 320
  integer, parameter :: nGC_27 = 321
  integer, parameter :: nGC_24 = 322
  integer, parameter :: nGC_25 = 323
  integer, parameter :: nGC_983 = 324
  integer, parameter :: nGC_TS_GC_89_Hh = 325
  integer, parameter :: nGC_7502 = 326
  integer, parameter :: nGC_5231 = 327
  integer, parameter :: nGC_5236 = 328
  integer, parameter :: nGC_4831 = 329
  integer, parameter :: nGC_4830 = 330
  integer, parameter :: nGC_5235 = 331
  integer, parameter :: nGC_7472 = 332
  integer, parameter :: nGC_7473 = 333
  integer, parameter :: nGC_4699 = 334
  integer, parameter :: nGC_4698 = 335
  integer, parameter :: nGC_4693 = 336
  integer, parameter :: nGC_4692 = 337
  integer, parameter :: nGC_4691 = 338
  integer, parameter :: nGC_4690 = 339
  integer, parameter :: nGC_4697 = 340
  integer, parameter :: nGC_4696 = 341
  integer, parameter :: nGC_4695 = 342
  integer, parameter :: nGC_4694 = 343
  integer, parameter :: nGC_4749 = 344
  integer, parameter :: nGC_4748 = 345
  integer, parameter :: nGC_4745 = 346
  integer, parameter :: nGC_4744 = 347
  integer, parameter :: nGC_4747 = 348
  integer, parameter :: nGC_4746 = 349
  integer, parameter :: nGC_4741 = 350
  integer, parameter :: nGC_4740 = 351
  integer, parameter :: nGC_4743 = 352
  integer, parameter :: nGC_4742 = 353
  integer, parameter :: nGC_5333 = 354
  integer, parameter :: nGC_5332 = 355
  integer, parameter :: nGC_9449 = 356
  integer, parameter :: nGC_9448 = 357
  integer, parameter :: nGC_5339 = 358
  integer, parameter :: nGC_5338 = 359
  integer, parameter :: nGC_9441 = 360
  integer, parameter :: nGC_9440 = 361
  integer, parameter :: nGC_9443 = 362
  integer, parameter :: nGC_9442 = 363
  integer, parameter :: nGC_17 = 364
  integer, parameter :: nGC_16 = 365
  integer, parameter :: nGC_15 = 366
  integer, parameter :: nGC_14 = 367
  integer, parameter :: nGC_13 = 368
  integer, parameter :: nGC_12 = 369
  integer, parameter :: nGC_11 = 370
  integer, parameter :: nGC_10 = 371
  integer, parameter :: nGC_19 = 372
  integer, parameter :: nGC_18 = 373
  integer, parameter :: nGC_7650 = 374
  integer, parameter :: nGC_5249 = 375
  integer, parameter :: nGC_5248 = 376
  integer, parameter :: nGC_5247 = 377
  integer, parameter :: nGC_5244 = 378
  integer, parameter :: nGC_5243 = 379
  integer, parameter :: nGC_5240 = 380
  integer, parameter :: nGC_8066 = 381
  integer, parameter :: nGC_8067 = 382
  integer, parameter :: nGC_9041 = 383
  integer, parameter :: nGC_9042 = 384
  integer, parameter :: nGC_9626 = 385
  integer, parameter :: nGC_4824 = 386
  integer, parameter :: nGC_4825 = 387
  integer, parameter :: nGC_4826 = 388
  integer, parameter :: nGC_4827 = 389
  integer, parameter :: nGC_4820 = 390
  integer, parameter :: nGC_4821 = 391
  integer, parameter :: nGC_4822 = 392
  integer, parameter :: nGC_4823 = 393
  integer, parameter :: nGC_4828 = 394
  integer, parameter :: nGC_4829 = 395
  integer, parameter :: nGC_TS_GC_83_Hl = 396
  integer, parameter :: nGC_4688 = 397
  integer, parameter :: nGC_4689 = 398
  integer, parameter :: nGC_4680 = 399
  integer, parameter :: nGC_4681 = 400
  integer, parameter :: nGC_4682 = 401
  integer, parameter :: nGC_4683 = 402
  integer, parameter :: nGC_4684 = 403
  integer, parameter :: nGC_4685 = 404
  integer, parameter :: nGC_4686 = 405
  integer, parameter :: nGC_4687 = 406
  integer, parameter :: nGC_7319 = 407
  integer, parameter :: nGC_7316 = 408
  integer, parameter :: nGC_4758 = 409
  integer, parameter :: nGC_4759 = 410
  integer, parameter :: nGC_4752 = 411
  integer, parameter :: nGC_4753 = 412
  integer, parameter :: nGC_4750 = 413
  integer, parameter :: nGC_4751 = 414
  integer, parameter :: nGC_4756 = 415
  integer, parameter :: nGC_4757 = 416
  integer, parameter :: nGC_4754 = 417
  integer, parameter :: nGC_4755 = 418
  integer, parameter :: nGC_TS_GC_25_Hh = 419
  integer, parameter :: nGC_TS_GC_25_Hl = 420
  integer, parameter :: nGC_703 = 421
  integer, parameter :: nGC_MZ_GF = 422
  integer, parameter :: nGC_TS_GC_19_Hh = 423
  integer, parameter :: nGC_TS_GC_99_Hh = 424
  integer, parameter :: nGC_12707 = 425
  integer, parameter :: nGC_5430 = 426
  integer, parameter :: nGC_12709 = 427
  integer, parameter :: nGC_12708 = 428
  integer, parameter :: nGC_5320 = 429
  integer, parameter :: nGC_5321 = 430
  integer, parameter :: nGC_5322 = 431
  integer, parameter :: nGC_5323 = 432
  integer, parameter :: nGC_5324 = 433
  integer, parameter :: nGC_5327 = 434
  integer, parameter :: nGC_TS_GC_65_Hl = 435
  integer, parameter :: nGC_TS_GC_88_Hl = 436
  integer, parameter :: nGC_5258 = 437
  integer, parameter :: nGC_5259 = 438
  integer, parameter :: nGC_5255 = 439
  integer, parameter :: nGC_5257 = 440
  integer, parameter :: nGC_5252 = 441
  integer, parameter :: nGC_TS_GC_73_Hh = 442
  integer, parameter :: nGC_9900 = 443
  integer, parameter :: nGC_10312 = 444
  integer, parameter :: nGC_4811 = 445
  integer, parameter :: nGC_4810 = 446
  integer, parameter :: nGC_4813 = 447
  integer, parameter :: nGC_4812 = 448
  integer, parameter :: nGC_4815 = 449
  integer, parameter :: nGC_4814 = 450
  integer, parameter :: nGC_4817 = 451
  integer, parameter :: nGC_4816 = 452
  integer, parameter :: nGC_4819 = 453
  integer, parameter :: nGC_4818 = 454
  integer, parameter :: nGC_7300 = 455
  integer, parameter :: nGC_7301 = 456
  integer, parameter :: nGC_7302 = 457
  integer, parameter :: nGC_4781 = 458
  integer, parameter :: nGC_4780 = 459
  integer, parameter :: nGC_4783 = 460
  integer, parameter :: nGC_4782 = 461
  integer, parameter :: nGC_4785 = 462
  integer, parameter :: nGC_4784 = 463
  integer, parameter :: nGC_4787 = 464
  integer, parameter :: nGC_4786 = 465
  integer, parameter :: nGC_4789 = 466
  integer, parameter :: nGC_4788 = 467
  integer, parameter :: nGC_283 = 468
  integer, parameter :: nGC_281 = 469
  integer, parameter :: nGC_5429 = 470
  integer, parameter :: nGC_1793 = 471
  integer, parameter :: nGC_MW_GF = 472
  integer, parameter :: nGC_5319 = 473
  integer, parameter :: nGC_5318 = 474
  integer, parameter :: nGC_5315 = 475
  integer, parameter :: nGC_5317 = 476
  integer, parameter :: nGC_5316 = 477
  integer, parameter :: nGC_5311 = 478
  integer, parameter :: nGC_5312 = 479
  integer, parameter :: nGC_5268 = 480
  integer, parameter :: nGC_8684 = 481
  integer, parameter :: nGC_5260 = 482
  integer, parameter :: nGC_8686 = 483
  integer, parameter :: nGC_8687 = 484
  integer, parameter :: nGC_5265 = 485
  integer, parameter :: nGC_5264 = 486
  integer, parameter :: nGC_5266 = 487
  integer, parameter :: nGC_4854 = 488
  integer, parameter :: nGC_4618 = 489
  integer, parameter :: nGC_8211 = 490
  integer, parameter :: nGC_4808 = 491
  integer, parameter :: nGC_4995 = 492
  integer, parameter :: nGC_4806 = 493
  integer, parameter :: nGC_4807 = 494
  integer, parameter :: nGC_4804 = 495
  integer, parameter :: nGC_4805 = 496
  integer, parameter :: nGC_4802 = 497
  integer, parameter :: nGC_4800 = 498
  integer, parameter :: nGC_4801 = 499
  integer, parameter :: nGC_7429 = 500
  integer, parameter :: nGC_5441 = 501
  integer, parameter :: nGC_5440 = 502
  integer, parameter :: nGC_5443 = 503
  integer, parameter :: nGC_5442 = 504
  integer, parameter :: nGC_5445 = 505
  integer, parameter :: nGC_5444 = 506
  integer, parameter :: nGC_5447 = 507
  integer, parameter :: nGC_5446 = 508
  integer, parameter :: nGC_TS_GC_24_Hh = 509
  integer, parameter :: nGC_4798 = 510
  integer, parameter :: nGC_4799 = 511
  integer, parameter :: nGC_4796 = 512
  integer, parameter :: nGC_4797 = 513
  integer, parameter :: nGC_4794 = 514
  integer, parameter :: nGC_4795 = 515
  integer, parameter :: nGC_4792 = 516
  integer, parameter :: nGC_4793 = 517
  integer, parameter :: nGC_4790 = 518
  integer, parameter :: nGC_4791 = 519
  integer, parameter :: nGC_7209 = 520
  integer, parameter :: nGC_277 = 521
  integer, parameter :: nGC_275 = 522
  integer, parameter :: nGC_271 = 523
  integer, parameter :: nGC_34 = 524
  integer, parameter :: nGC_7110 = 525
  integer, parameter :: nGC_1785 = 526
  integer, parameter :: nGC_1789 = 527
  integer, parameter :: nGC_124 = 528
  integer, parameter :: nGC_122 = 529
  integer, parameter :: nGC_123 = 530
  integer, parameter :: nGC_120 = 531
  integer, parameter :: nGC_121 = 532
  integer, parameter :: nGC_TS_GC_98_Hl = 533
  integer, parameter :: nGC_5044 = 534
  integer, parameter :: nGC_5047 = 535
  integer, parameter :: nGC_MMW_GF = 536
  integer, parameter :: nGC_12945 = 537
  integer, parameter :: nGC_12946 = 538
  integer, parameter :: nGC_5308 = 539
  integer, parameter :: nGC_5302 = 540
  integer, parameter :: nGC_I = 541
  integer, parameter :: nGC_5301 = 542
  integer, parameter :: nGC_7933 = 543
  integer, parameter :: nGC_7932 = 544
  integer, parameter :: nGC_5305 = 545
  integer, parameter :: nGC_8458 = 546
  integer, parameter :: nGC_8455 = 547
  integer, parameter :: nGC_5306 = 548
  integer, parameter :: nGC_5307 = 549
  integer, parameter :: nGC_4924 = 550
  integer, parameter :: nGC_5277 = 551
  integer, parameter :: nGC_5274 = 552
  integer, parameter :: nGC_5270 = 553
  integer, parameter :: nGC_5279 = 554
  integer, parameter :: nGC_3 = 555
  integer, parameter :: nGC_2 = 556
  integer, parameter :: nGC_1 = 557
  integer, parameter :: nGC_7 = 558
  integer, parameter :: nGC_6 = 559
  integer, parameter :: nGC_5 = 560
  integer, parameter :: nGC_4 = 561
  integer, parameter :: nGC_9 = 562
  integer, parameter :: nGC_8 = 563
  integer, parameter :: nGC_8038 = 564
  integer, parameter :: nGC_8033 = 565
  integer, parameter :: nGC_8523 = 566
  integer, parameter :: nGC_8036 = 567
  integer, parameter :: nGC_TS_GC_34_Hl = 568
  integer, parameter :: nGC_7756 = 569
  integer, parameter :: nGC_7755 = 570
  integer, parameter :: nGC_7753 = 571
  integer, parameter :: nGC_7750 = 572
  integer, parameter :: nGC_4879 = 573
  integer, parameter :: nGC_4878 = 574
  integer, parameter :: nGC_4873 = 575
  integer, parameter :: nGC_4870 = 576
  integer, parameter :: nGC_4877 = 577
  integer, parameter :: nGC_4876 = 578
  integer, parameter :: nGC_4875 = 579
  integer, parameter :: nGC_4874 = 580
  integer, parameter :: nGC_4901 = 581
  integer, parameter :: nGC_4900 = 582
  integer, parameter :: nGC_9146 = 583
  integer, parameter :: nGC_4659 = 584
  integer, parameter :: nGC_4658 = 585
  integer, parameter :: nGC_4657 = 586
  integer, parameter :: nGC_4656 = 587
  integer, parameter :: nGC_4655 = 588
  integer, parameter :: nGC_4654 = 589
  integer, parameter :: nGC_4653 = 590
  integer, parameter :: nGC_4652 = 591
  integer, parameter :: nGC_4651 = 592
  integer, parameter :: nGC_4650 = 593
  integer, parameter :: nGC_7211 = 594
  integer, parameter :: nGC_7217 = 595
  integer, parameter :: nGC_11156 = 596
  integer, parameter :: nGC_269 = 597
  integer, parameter :: nGC_265 = 598
  integer, parameter :: nGC_263 = 599
  integer, parameter :: nGC_483 = 600
  integer, parameter :: nGC_10378 = 601
  integer, parameter :: nGC_10379 = 602
  integer, parameter :: nGC_7687 = 603
  integer, parameter :: nGC_7105 = 604
  integer, parameter :: nGC_11889 = 605
  integer, parameter :: nGC_11888 = 606
  integer, parameter :: nGC_11881 = 607
  integer, parameter :: nGC_11880 = 608
  integer, parameter :: nGC_11883 = 609
  integer, parameter :: nGC_11882 = 610
  integer, parameter :: nGC_5052 = 611
  integer, parameter :: nGC_5053 = 612
  integer, parameter :: nGC_5056 = 613
  integer, parameter :: nGC_5057 = 614
  integer, parameter :: nGC_5054 = 615
  integer, parameter :: nGC_TS_GC_23_Hl = 616
  integer, parameter :: nGC_5058 = 617
  integer, parameter :: nGC_5059 = 618
  integer, parameter :: nGC_7044 = 619
  integer, parameter :: nGC_TS_GC_46_Hh = 620
  integer, parameter :: nGC_8525 = 621
  integer, parameter :: nGC_5209 = 622
  integer, parameter :: nGC_5208 = 623
  integer, parameter :: nGC_245 = 624
  integer, parameter :: nGC_241 = 625
  integer, parameter :: nGC_4860 = 626
  integer, parameter :: nGC_4861 = 627
  integer, parameter :: nGC_4862 = 628
  integer, parameter :: nGC_4863 = 629
  integer, parameter :: nGC_4864 = 630
  integer, parameter :: nGC_4865 = 631
  integer, parameter :: nGC_4866 = 632
  integer, parameter :: nGC_4867 = 633
  integer, parameter :: nGC_249 = 634
  integer, parameter :: nGC_4915 = 635
  integer, parameter :: nGC_5426 = 636
  integer, parameter :: nGC_5425 = 637
  integer, parameter :: nGC_4648 = 638
  integer, parameter :: nGC_4649 = 639
  integer, parameter :: nGC_4644 = 640
  integer, parameter :: nGC_4645 = 641
  integer, parameter :: nGC_4646 = 642
  integer, parameter :: nGC_4647 = 643
  integer, parameter :: nGC_4640 = 644
  integer, parameter :: nGC_4641 = 645
  integer, parameter :: nGC_4642 = 646
  integer, parameter :: nGC_4643 = 647
  integer, parameter :: nGC_7351 = 648
  integer, parameter :: nGC_7355 = 649
  integer, parameter :: nGC_5300 = 650
  integer, parameter :: nGC_7594 = 651
  integer, parameter :: nGC_11162 = 652
  integer, parameter :: nGC_259 = 653
  integer, parameter :: nGC_251 = 654
  integer, parameter :: nGC_253 = 655
  integer, parameter :: nGC_255 = 656
  integer, parameter :: nGC_7173 = 657
  integer, parameter :: nGC_7172 = 658
  integer, parameter :: nGC_7175 = 659
  integer, parameter :: nGC_7174 = 660
  integer, parameter :: nGC_5192 = 661
  integer, parameter :: nGC_5191 = 662
  integer, parameter :: nGC_5190 = 663
  integer, parameter :: nGC_100 = 664
  integer, parameter :: nGC_101 = 665
  integer, parameter :: nGC_102 = 666
  integer, parameter :: nGC_103 = 667
  integer, parameter :: nGC_104 = 668
  integer, parameter :: nGC_105 = 669
  integer, parameter :: nGC_106 = 670
  integer, parameter :: nGC_107 = 671
  integer, parameter :: nGC_108 = 672
  integer, parameter :: nGC_109 = 673
  integer, parameter :: nGC_7952 = 674
  integer, parameter :: nGC_7917 = 675
  integer, parameter :: nGC_7916 = 676
  integer, parameter :: nGC_5210 = 677
  integer, parameter :: nGC_5211 = 678
  integer, parameter :: nGC_5212 = 679
  integer, parameter :: nGC_5213 = 680
  integer, parameter :: nGC_5214 = 681
  integer, parameter :: nGC_5215 = 682
  integer, parameter :: nGC_5216 = 683
  integer, parameter :: nGC_5218 = 684
  integer, parameter :: nGC_5219 = 685
  integer, parameter :: nGC_4589 = 686
  integer, parameter :: nGC_5328 = 687
  integer, parameter :: nGC_4855 = 688
  integer, parameter :: nGC_7770 = 689
  integer, parameter :: nGC_4857 = 690
  integer, parameter :: nGC_4856 = 691
  integer, parameter :: nGC_7779 = 692
  integer, parameter :: nGC_617 = 693
  integer, parameter :: nGC_4859 = 694
  integer, parameter :: nGC_4858 = 695
  integer, parameter :: nGC_12180 = 696
  integer, parameter :: nGC_5438 = 697
  integer, parameter :: nGC_5439 = 698
  integer, parameter :: nGC_4909 = 699
  integer, parameter :: nGC_5431 = 700
  integer, parameter :: nGC_5432 = 701
  integer, parameter :: nGC_5433 = 702
  integer, parameter :: nGC_5434 = 703
  integer, parameter :: nGC_5435 = 704
  integer, parameter :: nGC_5436 = 705
  integer, parameter :: nGC_5437 = 706
  integer, parameter :: nGC_4679 = 707
  integer, parameter :: nGC_4678 = 708
  integer, parameter :: nGC_4671 = 709
  integer, parameter :: nGC_4670 = 710
  integer, parameter :: nGC_4673 = 711
  integer, parameter :: nGC_4672 = 712
  integer, parameter :: nGC_4675 = 713
  integer, parameter :: nGC_4674 = 714
  integer, parameter :: nGC_4677 = 715
  integer, parameter :: nGC_4676 = 716
  integer, parameter :: nGC_7583 = 717
  integer, parameter :: nGC_TS_GC_35_Hl = 718
  integer, parameter :: nGC_7584 = 719
  integer, parameter :: nGC_TS_GC_75_Hl = 720
  integer, parameter :: nGC_247 = 721
  integer, parameter :: nGC_TS_GC_21_Hl = 722
  integer, parameter :: nGC_TS_GC_21_Hh = 723
  integer, parameter :: nGC_TS_GC_76_Hl = 724
  integer, parameter :: nGC_TS_GC_76_Hh = 725
  integer, parameter :: nGC_11373 = 726
  integer, parameter :: nGC_11374 = 727
  integer, parameter :: nGC_11379 = 728
  integer, parameter :: nGC_TS_GC_109_Hh = 729
  integer, parameter :: nGC_4583 = 730
  integer, parameter :: nGC_4582 = 731
  integer, parameter :: nGC_4581 = 732
  integer, parameter :: nGC_4580 = 733
  integer, parameter :: nGC_4587 = 734
  integer, parameter :: nGC_4586 = 735
  integer, parameter :: nGC_4585 = 736
  integer, parameter :: nGC_4584 = 737
  integer, parameter :: nGC_7161 = 738
  integer, parameter :: nGC_7162 = 739
  integer, parameter :: nGC_4588 = 740
  integer, parameter :: nGC_5180 = 741
  integer, parameter :: nGC_5188 = 742
  integer, parameter :: nGC_5189 = 743
  integer, parameter :: nGC_1751 = 744
  integer, parameter :: nGC_119 = 745
  integer, parameter :: nGC_118 = 746
  integer, parameter :: nGC_117 = 747
  integer, parameter :: nGC_116 = 748
  integer, parameter :: nGC_115 = 749
  integer, parameter :: nGC_114 = 750
  integer, parameter :: nGC_113 = 751
  integer, parameter :: nGC_112 = 752
  integer, parameter :: nGC_111 = 753
  integer, parameter :: nGC_110 = 754
  integer, parameter :: nGC_5015 = 755
  integer, parameter :: nGC_5012 = 756
  integer, parameter :: nGC_5042 = 757
  integer, parameter :: nGC_5013 = 758
  integer, parameter :: nGC_7189 = 759
  integer, parameter :: nGC_5134 = 760
  integer, parameter :: nGC_7441 = 761
  integer, parameter :: nGC_TS_GC_72_Hl = 762
  integer, parameter :: nGC_8222 = 763
  integer, parameter :: nGC_8223 = 764
  integer, parameter :: nGC_5011 = 765
  integer, parameter :: nGC_8226 = 766
  integer, parameter :: nGC_8227 = 767
  integer, parameter :: nGC_8224 = 768
  integer, parameter :: nGC_8225 = 769
  integer, parameter :: nGC_7865 = 770
  integer, parameter :: nGC_7867 = 771
  integer, parameter :: nGC_7866 = 772
  integer, parameter :: nGC_1401 = 773
  integer, parameter :: nGC_TS_GC_47_Hh = 774
  integer, parameter :: nGC_5001 = 775
  integer, parameter :: nGC_5003 = 776
  integer, parameter :: nGC_5002 = 777
  integer, parameter :: nGC_5005 = 778
  integer, parameter :: nGC_5004 = 779
  integer, parameter :: nGC_5007 = 780
  integer, parameter :: nGC_5006 = 781
  integer, parameter :: nGC_5009 = 782
  integer, parameter :: nGC_7047 = 783
  integer, parameter :: nGC_7544 = 784
  integer, parameter :: nGC_8703 = 785
  integer, parameter :: nGC_8702 = 786
  integer, parameter :: nGC_7576 = 787
  integer, parameter :: nGC_5256 = 788
  integer, parameter :: nGC_9452 = 789
  integer, parameter :: nGC_7703 = 790
  integer, parameter :: nGC_8486 = 791
  integer, parameter :: nGC_8487 = 792
  integer, parameter :: nGC_8484 = 793
  integer, parameter :: nGC_8485 = 794
  integer, parameter :: nGC_5241 = 795
  integer, parameter :: nGC_7705 = 796
  integer, parameter :: nGC_5346 = 797
  integer, parameter :: nGC_5347 = 798
  integer, parameter :: nGC_5344 = 799
  integer, parameter :: nGC_5345 = 800
  integer, parameter :: nGC_5229 = 801
  integer, parameter :: nGC_5228 = 802
  integer, parameter :: nGC_5225 = 803
  integer, parameter :: nGC_5224 = 804
  integer, parameter :: nGC_5227 = 805
  integer, parameter :: nGC_5226 = 806
  integer, parameter :: nGC_5220 = 807
  integer, parameter :: nGC_5223 = 808
  integer, parameter :: nGC_5222 = 809
  integer, parameter :: nGC_5041 = 810
  integer, parameter :: nGC_7208 = 811
  integer, parameter :: nGC_8419 = 812
  integer, parameter :: nGC_8418 = 813
  integer, parameter :: nGC_8797 = 814
  integer, parameter :: nGC_8798 = 815
  integer, parameter :: nGC_TS_GC_22_Hh = 816
  integer, parameter :: nGC_11892 = 817
  integer, parameter :: nGC_TS_GC_22_Hl = 818
  integer, parameter :: nGC_7646 = 819
  integer, parameter :: nGC_4842 = 820
  integer, parameter :: nGC_4843 = 821
  integer, parameter :: nGC_9371 = 822
  integer, parameter :: nGC_4841 = 823
  integer, parameter :: nGC_7769 = 824
  integer, parameter :: nGC_7767 = 825
  integer, parameter :: nGC_4848 = 826
  integer, parameter :: nGC_4849 = 827
  integer, parameter :: nGC_8678 = 828
  integer, parameter :: nGC_7058 = 829
  integer, parameter :: nGC_5330 = 830
  integer, parameter :: nGC_8072 = 831
  integer, parameter :: nGC_7050 = 832
  integer, parameter :: nGC_7052 = 833
  integer, parameter :: nGC_8173 = 834
  integer, parameter :: nGC_7768 = 835
  integer, parameter :: nGC_1661 = 836
  integer, parameter :: nGC_4911 = 837
  integer, parameter :: nGC_9191 = 838
  integer, parameter :: nGC_TS_GC_118_Hl = 839
  integer, parameter :: nGC_4934 = 840
  integer, parameter :: nGC_4932 = 841
  integer, parameter :: nGC_4930 = 842
  integer, parameter :: nGC_7940 = 843
  integer, parameter :: nGC_TS_GC_69_Hl = 844
  integer, parameter :: nGC_9994 = 845
  integer, parameter :: nGC_7379 = 846
  integer, parameter :: nGC_5043 = 847
  integer, parameter :: nGC_9990 = 848
  integer, parameter :: nGC_9903 = 849
  integer, parameter :: nGC_8356 = 850
  integer, parameter :: nGC_7372 = 851
  integer, parameter :: nGC_5169 = 852
  integer, parameter :: nGC_5166 = 853
  integer, parameter :: nGC_5165 = 854
  integer, parameter :: nGC_5162 = 855
  integer, parameter :: nGC_5163 = 856
  integer, parameter :: nGC_5161 = 857
  integer, parameter :: nGC_9103 = 858
  integer, parameter :: nGC_7572 = 859
  integer, parameter :: nGC_5309 = 860
  integer, parameter :: nGC_7938 = 861
  integer, parameter :: nGC_5303 = 862
  integer, parameter :: nGC_5304 = 863
  integer, parameter :: nGC_7489 = 864
  integer, parameter :: nGC_5071 = 865
  integer, parameter :: nGC_12207 = 866
  integer, parameter :: nGC_4886 = 867
  integer, parameter :: nGC_4887 = 868
  integer, parameter :: nGC_4882 = 869
  integer, parameter :: nGC_4880 = 870
  integer, parameter :: nGC_4881 = 871
  integer, parameter :: nGC_7728 = 872
  integer, parameter :: nGC_7729 = 873
  integer, parameter :: nGC_4888 = 874
  integer, parameter :: nGC_7097 = 875
  integer, parameter :: nGC_7259 = 876
  integer, parameter :: nGC_8524 = 877
  integer, parameter :: nGC_7251 = 878
  integer, parameter :: nGC_5133 = 879
  integer, parameter :: nGC_4972 = 880
  integer, parameter :: nGC_4973 = 881
  integer, parameter :: nGC_4970 = 882
  integer, parameter :: nGC_4971 = 883
  integer, parameter :: nGC_4976 = 884
  integer, parameter :: nGC_4977 = 885
  integer, parameter :: nGC_4974 = 886
  integer, parameter :: nGC_4975 = 887
  integer, parameter :: nGC_4978 = 888
  integer, parameter :: nGC_4979 = 889
  integer, parameter :: nGC_7474 = 890
  integer, parameter :: nGC_5019 = 891
  integer, parameter :: nGC_7023 = 892
  integer, parameter :: nGC_7027 = 893
  integer, parameter :: nGC_7026 = 894
  integer, parameter :: nGC_7029 = 895
  integer, parameter :: nGC_7028 = 896
  integer, parameter :: nGC_5000 = 897
  integer, parameter :: nGC_4837 = 898
  integer, parameter :: nGC_5089 = 899
  integer, parameter :: nGC_5088 = 900
  integer, parameter :: nGC_9253 = 901
  integer, parameter :: nGC_5081 = 902
  integer, parameter :: nGC_5083 = 903
  integer, parameter :: nGC_5082 = 904
  integer, parameter :: nGC_5085 = 905
  integer, parameter :: nGC_5084 = 906
  integer, parameter :: nGC_5087 = 907
  integer, parameter :: nGC_5086 = 908
  integer, parameter :: nGC_4907 = 909
  integer, parameter :: nGC_4906 = 910
  integer, parameter :: nGC_4904 = 911
  integer, parameter :: nGC_4903 = 912
  integer, parameter :: nGC_4902 = 913
  integer, parameter :: nGC_10080 = 914
  integer, parameter :: nGC_4986 = 915
  integer, parameter :: nGC_9143 = 916
  integer, parameter :: nGC_4908 = 917
  integer, parameter :: nGC_7971 = 918
  integer, parameter :: nGC_1003 = 919
  integer, parameter :: nGC_7285 = 920
  integer, parameter :: nGC_7284 = 921
  integer, parameter :: nGC_7283 = 922
  integer, parameter :: nGC_7282 = 923
  integer, parameter :: nGC_5157 = 924
  integer, parameter :: nGC_5156 = 925
  integer, parameter :: nGC_5155 = 926
  integer, parameter :: nGC_5154 = 927
  integer, parameter :: nGC_5153 = 928
  integer, parameter :: nGC_5152 = 929
  integer, parameter :: nGC_5016 = 930
  integer, parameter :: nGC_7443 = 931
  integer, parameter :: nGC_7442 = 932
  integer, parameter :: nGC_5158 = 933
  integer, parameter :: nGC_5078 = 934
  integer, parameter :: nGC_5079 = 935
  integer, parameter :: nGC_5238 = 936
  integer, parameter :: nGC_5239 = 937
  integer, parameter :: nGC_5337 = 938
  integer, parameter :: nGC_5336 = 939
  integer, parameter :: nGC_5335 = 940
  integer, parameter :: nGC_5334 = 941
  integer, parameter :: nGC_5232 = 942
  integer, parameter :: nGC_5233 = 943
  integer, parameter :: nGC_5230 = 944
  integer, parameter :: nGC_7804 = 945
  integer, parameter :: nGC_5237 = 946
  integer, parameter :: nGC_5234 = 947
  integer, parameter :: nGC_7199 = 948
  integer, parameter :: nGC_TS_GC_108_Hl = 949
  integer, parameter :: nGC_7210 = 950
  integer, parameter :: nGC_8569 = 951
  integer, parameter :: nGC_7063 = 952
  integer, parameter :: nGC_7194 = 953
  integer, parameter :: nGC_5275 = 954
  integer, parameter :: nGC_5272 = 955
  integer, parameter :: nGC_8816 = 956
  integer, parameter :: nGC_5010 = 957
  integer, parameter :: nGC_5271 = 958
  integer, parameter :: nGC_5242 = 959
  integer, parameter :: nGC_9698 = 960
  integer, parameter :: nGC_7719 = 961
  integer, parameter :: nGC_7718 = 962
  integer, parameter :: nGC_9366 = 963
  integer, parameter :: nGC_TS_GC_104_Hh = 964
  integer, parameter :: nGC_5246 = 965
  integer, parameter :: nGC_5245 = 966
  integer, parameter :: nGC_7717 = 967
  integer, parameter :: nGC_7716 = 968
  integer, parameter :: nGC_991 = 969
  integer, parameter :: nGC_8109 = 970
  integer, parameter :: nGC_5278 = 971
  integer, parameter :: nGC_7260 = 972
  integer, parameter :: nGC_5331 = 973
  integer, parameter :: nGC_9043 = 974
  integer, parameter :: nGC_7686 = 975
  integer, parameter :: nGC_9045 = 976
  integer, parameter :: nGC_9044 = 977
  integer, parameter :: nGC_7101 = 978
  integer, parameter :: nGC_5276 = 979
  integer, parameter :: nGC_7106 = 980
  integer, parameter :: nGC_9188 = 981
  integer, parameter :: nGC_5101 = 982
  integer, parameter :: nGC_4872 = 983
  integer, parameter :: nGC_TS_GC_28_Hl = 984
  integer, parameter :: nGC_5051 = 985
  integer, parameter :: nGC_5055 = 986
  integer, parameter :: nGC_9989 = 987
  integer, parameter :: nGC_TS_GC_123_Hl = 988
  integer, parameter :: nGC_5119 = 989
  integer, parameter :: nGC_5118 = 990
  integer, parameter :: nGC_7568 = 991
  integer, parameter :: nGC_5113 = 992
  integer, parameter :: nGC_5112 = 993
  integer, parameter :: nGC_5111 = 994
  integer, parameter :: nGC_7561 = 995
  integer, parameter :: nGC_7562 = 996
  integer, parameter :: nGC_5348 = 997
  integer, parameter :: nGC_5349 = 998
  integer, parameter :: nGC_7842 = 999
  integer, parameter :: nGC_7846 = 1000
  integer, parameter :: nGC_5269 = 1001
  integer, parameter :: nGC_7449 = 1002
  integer, parameter :: nGC_7928 = 1003
  integer, parameter :: nGC_TS_GC_77_Hh = 1004
  integer, parameter :: nGC_TS_GC_30_Hl = 1005
  integer, parameter :: nGC_TS_GC_30_Hh = 1006
  integer, parameter :: nGC_5027 = 1007
  integer, parameter :: nGC_5026 = 1008
  integer, parameter :: nGC_5025 = 1009
  integer, parameter :: nGC_5024 = 1010
  integer, parameter :: nGC_5023 = 1011
  integer, parameter :: nGC_5022 = 1012
  integer, parameter :: nGC_5021 = 1013
  integer, parameter :: nGC_5020 = 1014
  integer, parameter :: nGC_TS_GC_94_Hh = 1015
  integer, parameter :: nGC_7313 = 1016
  integer, parameter :: nGC_5029 = 1017
  integer, parameter :: nGC_5028 = 1018
  integer, parameter :: nGC_12433 = 1019
  integer, parameter :: nGC_7490 = 1020
  integer, parameter :: nGC_9121 = 1021
  integer, parameter :: nGC_12211 = 1022
  integer, parameter :: nGC_5203 = 1023
  integer, parameter :: nGC_5202 = 1024
  integer, parameter :: nGC_5201 = 1025
  integer, parameter :: nGC_5200 = 1026
  integer, parameter :: nGC_5207 = 1027
  integer, parameter :: nGC_5206 = 1028
  integer, parameter :: nGC_5205 = 1029
  integer, parameter :: nGC_5204 = 1030
  integer, parameter :: nGC_9374 = 1031
  integer, parameter :: nGC_7143 = 1032
  integer, parameter :: nGC_7141 = 1033
  integer, parameter :: nGC_7146 = 1034
  integer, parameter :: nGC_7144 = 1035
  integer, parameter :: nGC_7145 = 1036
  integer, parameter :: nGC_5360 = 1037
  integer, parameter :: nGC_5361 = 1038
  integer, parameter :: nGC_5362 = 1039
  integer, parameter :: nGC_5363 = 1040
  integer, parameter :: nGC_8029 = 1041
  integer, parameter :: nGC_TS_GC_113_Hl = 1042
  integer, parameter :: nGC_7220 = 1043
  integer, parameter :: nGC_7388 = 1044
  integer, parameter :: nGC_7226 = 1045
  integer, parameter :: nGC_7225 = 1046
  integer, parameter :: nGC_7224 = 1047
  integer, parameter :: nGC_TS_GC_114_Hh = 1048
  integer, parameter :: nGC_4850 = 1049
  integer, parameter :: nGC_TS_GC_124_Hh = 1050
  integer, parameter :: nGC_9254 = 1051
  integer, parameter :: nGC_4989 = 1052
  integer, parameter :: nGC_4988 = 1053
  integer, parameter :: nGC_4987 = 1054
  integer, parameter :: nGC_TS_GC_20_Hl = 1055
  integer, parameter :: nGC_4985 = 1056
  integer, parameter :: nGC_4984 = 1057
  integer, parameter :: nGC_4983 = 1058
  integer, parameter :: nGC_4982 = 1059
  integer, parameter :: nGC_4981 = 1060
  integer, parameter :: nGC_4980 = 1061
  integer, parameter :: nGC_8154 = 1062
  integer, parameter :: nGC_4869 = 1063
  integer, parameter :: nGC_7132 = 1064
  integer, parameter :: nGC_7131 = 1065
  integer, parameter :: nGC_7130 = 1066
  integer, parameter :: nGC_7030 = 1067
  integer, parameter :: nGC_7031 = 1068
  integer, parameter :: nGC_5096 = 1069
  integer, parameter :: nGC_5097 = 1070
  integer, parameter :: nGC_5094 = 1071
  integer, parameter :: nGC_5095 = 1072
  integer, parameter :: nGC_5092 = 1073
  integer, parameter :: nGC_5093 = 1074
  integer, parameter :: nGC_5090 = 1075
  integer, parameter :: nGC_5091 = 1076
  integer, parameter :: nGC_5098 = 1077
  integer, parameter :: nGC_5099 = 1078
  integer, parameter :: nGC_7524 = 1079
  integer, parameter :: nGC_7527 = 1080
  integer, parameter :: nGC_TS_GC_84_Hh = 1081
  integer, parameter :: nGC_4914 = 1082
  integer, parameter :: nGC_4910 = 1083
  integer, parameter :: nGC_4912 = 1084
  integer, parameter :: nGC_4913 = 1085
  integer, parameter :: nGC_7757 = 1086
  integer, parameter :: nGC_7963 = 1087
  integer, parameter :: nGC_7964 = 1088
  integer, parameter :: nGC_7965 = 1089
  integer, parameter :: nGC_7966 = 1090
  integer, parameter :: nGC_7967 = 1091
  integer, parameter :: nGC_10199 = 1092
  integer, parameter :: nGC_5273 = 1093
  integer, parameter :: nGC_5267 = 1094
  integer, parameter :: nGC_7298 = 1095
  integer, parameter :: nGC_7299 = 1096
  integer, parameter :: nGC_7356 = 1097
  integer, parameter :: nGC_5008 = 1098
  integer, parameter :: nGC_5030 = 1099
  integer, parameter :: nGC_5144 = 1100
  integer, parameter :: nGC_5145 = 1101
  integer, parameter :: nGC_5146 = 1102
  integer, parameter :: nGC_5143 = 1103
  integer, parameter :: nGC_5063 = 1104
  integer, parameter :: nGC_5062 = 1105
  integer, parameter :: nGC_5061 = 1106
  integer, parameter :: nGC_7457 = 1107
  integer, parameter :: nGC_8277 = 1108
  integer, parameter :: nGC_5064 = 1109
  integer, parameter :: nGC_14019 = 1110
  integer, parameter :: nGC_7793 = 1111
  integer, parameter :: nGC_7792 = 1112
  integer, parameter :: nGC_5325 = 1113
  integer, parameter :: nGC_5326 = 1114
  integer, parameter :: nGC_7814 = 1115
  integer, parameter :: nGC_7815 = 1116
  integer, parameter :: nGC_7816 = 1117
  integer, parameter :: nGC_7817 = 1118
  integer, parameter :: nGC_7813 = 1119
  integer, parameter :: nGC_11161 = 1120
  integer, parameter :: nGC_5066 = 1121
  integer, parameter :: nGC_5046 = 1122
  integer, parameter :: nGC_9373 = 1123
  integer, parameter :: nGC_8596 = 1124
  integer, parameter :: nGC_8592 = 1125
  integer, parameter :: nGC_8278 = 1126
  integer, parameter :: nGC_4840 = 1127
  integer, parameter :: nGC_12225 = 1128
  integer, parameter :: nGC_5068 = 1129
  integer, parameter :: nGC_12220 = 1130
  integer, parameter :: nGC_TS_GC_9_Hl = 1131
  integer, parameter :: nGC_7458 = 1132
  integer, parameter :: nGC_8980 = 1133
  integer, parameter :: nGC_4847 = 1134
  integer, parameter :: nGC_4844 = 1135
  integer, parameter :: nGC_5254 = 1136
  integer, parameter :: nGC_7702 = 1137
  integer, parameter :: nGC_4845 = 1138
  integer, parameter :: nGC_7704 = 1139
  integer, parameter :: nGC_5251 = 1140
  integer, parameter :: nGC_14848 = 1141
  integer, parameter :: nGC_5253 = 1142
  integer, parameter :: nGC_8975 = 1143
  integer, parameter :: nGC_8692 = 1144
  integer, parameter :: nGC_8112 = 1145
  integer, parameter :: nGC_8114 = 1146
  integer, parameter :: nGC_8115 = 1147
  integer, parameter :: nGC_8116 = 1148
  integer, parameter :: nGC_8117 = 1149
  integer, parameter :: nGC_5193 = 1150
  integer, parameter :: nGC_5060 = 1151
  integer, parameter :: nGC_5197 = 1152
  integer, parameter :: nGC_5196 = 1153
  integer, parameter :: nGC_5195 = 1154
  integer, parameter :: nGC_5194 = 1155
  integer, parameter :: nGC_5067 = 1156
  integer, parameter :: nGC_5199 = 1157
  integer, parameter :: nGC_5198 = 1158
  integer, parameter :: nGC_9901 = 1159
  integer, parameter :: nGC_9902 = 1160
  integer, parameter :: nGC_TS_GC_40_Hl = 1161
  integer, parameter :: nGC_5065 = 1162
  integer, parameter :: nGC_8338 = 1163
  integer, parameter :: nGC_7634 = 1164
  integer, parameter :: nGC_7636 = 1165
  integer, parameter :: nGC_7637 = 1166
  integer, parameter :: nGC_7631 = 1167
  integer, parameter :: nGC_7638 = 1168
  integer, parameter :: nGC_7639 = 1169
  integer, parameter :: nGC_7227 = 1170
  integer, parameter :: nGC_4958 = 1171
  integer, parameter :: nGC_4959 = 1172
  integer, parameter :: nGC_8603 = 1173
  integer, parameter :: nGC_4951 = 1174
  integer, parameter :: nGC_9223 = 1175
  integer, parameter :: nGC_4953 = 1176
  integer, parameter :: nGC_4954 = 1177
  integer, parameter :: nGC_4955 = 1178
  integer, parameter :: nGC_4956 = 1179
  integer, parameter :: nGC_4957 = 1180
  integer, parameter :: nGC_4899 = 1181
  integer, parameter :: nGC_TS_GC_119_Hh = 1182
  integer, parameter :: nGC_8177 = 1183
  integer, parameter :: nGC_8230 = 1184
  integer, parameter :: nGC_5342 = 1185
  integer, parameter :: nGC_5123 = 1186
  integer, parameter :: nGC_5100 = 1187
  integer, parameter :: nGC_7054 = 1188
  integer, parameter :: nGC_5102 = 1189
  integer, parameter :: nGC_5103 = 1190
  integer, parameter :: nGC_5104 = 1191
  integer, parameter :: nGC_5105 = 1192
  integer, parameter :: nGC_5263 = 1193
  integer, parameter :: nGC_5050 = 1194
  integer, parameter :: nGC_TS_GC_17_Hh = 1195
  integer, parameter :: nGC_5343 = 1196
  integer, parameter :: nGC_7851 = 1197
  integer, parameter :: nGC_7852 = 1198
  integer, parameter :: nGC_5110 = 1199
  integer, parameter :: nGC_7330 = 1200
  integer, parameter :: nGC_7539 = 1201
  integer, parameter :: nGC_5262 = 1202
  integer, parameter :: nGC_5034 = 1203
  integer, parameter :: nGC_8731 = 1204
  integer, parameter :: nGC_5036 = 1205
  integer, parameter :: nGC_7538 = 1206
  integer, parameter :: nGC_8734 = 1207
  integer, parameter :: nGC_5031 = 1208
  integer, parameter :: nGC_5033 = 1209
  integer, parameter :: nGC_7305 = 1210
  integer, parameter :: nGC_7306 = 1211
  integer, parameter :: nGC_5038 = 1212
  integer, parameter :: nGC_5039 = 1213
  integer, parameter :: nGC_7265 = 1214
  integer, parameter :: nGC_13421 = 1215
  integer, parameter :: nGC_5035 = 1216
  integer, parameter :: nGC_5217 = 1217
  integer, parameter :: nGC_8543 = 1218
  integer, parameter :: nGC_5358 = 1219
  integer, parameter :: nGC_5040 = 1220
  integer, parameter :: nGC_5353 = 1221
  integer, parameter :: nGC_5352 = 1222
  integer, parameter :: nGC_5355 = 1223
  integer, parameter :: nGC_5354 = 1224
  integer, parameter :: nGC_5356 = 1225
  integer, parameter :: nGC_7238 = 1226
  integer, parameter :: nGC_8420 = 1227
  integer, parameter :: nGC_8421 = 1228
  integer, parameter :: nGC_5181 = 1229
  integer, parameter :: nGC_7066 = 1230
  integer, parameter :: nGC_5037 = 1231
  integer, parameter :: nGC_5329 = 1232
  integer, parameter :: nGC_9450 = 1233
  integer, parameter :: nGC_9451 = 1234
  integer, parameter :: nGC_4998 = 1235
  integer, parameter :: nGC_4999 = 1236
  integer, parameter :: nGC_4853 = 1237
  integer, parameter :: nGC_4852 = 1238
  integer, parameter :: nGC_4994 = 1239
  integer, parameter :: nGC_4996 = 1240
  integer, parameter :: nGC_4997 = 1241
  integer, parameter :: nGC_4990 = 1242
  integer, parameter :: nGC_4991 = 1243
  integer, parameter :: nGC_4992 = 1244
  integer, parameter :: nGC_4993 = 1245
  integer, parameter :: nGC_5069 = 1246
  integer, parameter :: nGC_7121 = 1247
  integer, parameter :: nGC_7122 = 1248
  integer, parameter :: nGC_7123 = 1249
  integer, parameter :: nGC_7043 = 1250
  integer, parameter :: nGC_10324 = 1251
  integer, parameter :: nGC_10322 = 1252
  integer, parameter :: nGC_10321 = 1253
  integer, parameter :: nGC_10320 = 1254
  integer, parameter :: nGC_10079 = 1255
  integer, parameter :: nGC_2229 = 1256
  integer, parameter :: nGC_TS_GC_61_Hh = 1257
  integer, parameter :: nGC_11819 = 1258
  integer, parameter :: nGC_5032 = 1259
  integer, parameter :: nGC_7235 = 1260
  integer, parameter :: nGC_4920 = 1261
  integer, parameter :: nGC_4923 = 1262
  integer, parameter :: nGC_4922 = 1263
  integer, parameter :: nGC_4925 = 1264
  integer, parameter :: nGC_4927 = 1265
  integer, parameter :: nGC_4926 = 1266
  integer, parameter :: nGC_4928 = 1267
  integer, parameter :: nGC_TS_GC_31_Hh = 1268
  integer, parameter :: nGC_7959 = 1269
  integer, parameter :: nGC_4868 = 1270
  integer, parameter :: nGC_7956 = 1271
  integer, parameter :: nGC_7953 = 1272
  integer, parameter :: nGC_10774 = 1273
  integer, parameter :: nGC_10776 = 1274
  integer, parameter :: nGC_10777 = 1275
  integer, parameter :: nGC_7345 = 1276
  integer, parameter :: nGC_4905 = 1277
  integer, parameter :: nGC_10470 = 1278
  integer, parameter :: nGC_5170 = 1279
  integer, parameter :: nGC_5173 = 1280
  integer, parameter :: nGC_5172 = 1281
  integer, parameter :: nGC_5175 = 1282
  integer, parameter :: nGC_5174 = 1283
  integer, parameter :: nGC_5177 = 1284
  integer, parameter :: nGC_5176 = 1285
  integer, parameter :: nGC_5179 = 1286
  integer, parameter :: nGC_5178 = 1287
  integer, parameter :: nGC_5072 = 1288
  integer, parameter :: nGC_5073 = 1289
  integer, parameter :: nGC_5074 = 1290
  integer, parameter :: nGC_5075 = 1291
  integer, parameter :: nGC_5076 = 1292
  integer, parameter :: nGC_5077 = 1293
  integer, parameter :: nGC_9113 = 1294
  integer, parameter :: nGC_TS_GC_48_Hh = 1295
  integer, parameter :: nGC_9757 = 1296
  integer, parameter :: nGC_9611 = 1297
  integer, parameter :: nGC_5314 = 1298
  integer, parameter :: nGC_5310 = 1299
  integer, parameter :: nGC_5313 = 1300
  integer, parameter :: nGC_8726 = 1301
  integer, parameter :: nGC_8460 = 1302
  integer, parameter :: nGC_8462 = 1303
  integer, parameter :: nGC_4962 = 1304
  integer, parameter :: nGC_7085 = 1305
  integer, parameter :: nGC_4839 = 1306
  integer, parameter :: nGC_8292 = 1307
  integer, parameter :: nGC_4838 = 1308
  integer, parameter :: nGC_8295 = 1309
  integer, parameter :: nGC_7320 = 1310
  integer, parameter :: nGC_10183 = 1311
  integer, parameter :: nGC_8339 = 1312
  integer, parameter :: nGC_5127 = 1313
  integer, parameter :: nGC_10182 = 1314
  integer, parameter :: nGC_8733 = 1315
  integer, parameter :: nGC_TS_GC_18_Hl = 1316
  integer, parameter :: nGC_7731 = 1317
  integer, parameter :: nGC_7730 = 1318
  integer, parameter :: nGC_TS_GC_18_Hh = 1319
  integer, parameter :: nGC_8994 = 1320
  integer, parameter :: nGC_8995 = 1321
  integer, parameter :: nGC_8996 = 1322
  integer, parameter :: nGC_8997 = 1323
  integer, parameter :: nGC_8125 = 1324
  integer, parameter :: nGC_4898 = 1325
  integer, parameter :: nGC_8126 = 1326
  integer, parameter :: nGC_4891 = 1327
  integer, parameter :: nGC_4890 = 1328
  integer, parameter :: nGC_4893 = 1329
  integer, parameter :: nGC_4892 = 1330
  integer, parameter :: nGC_4895 = 1331
  integer, parameter :: nGC_4894 = 1332
  integer, parameter :: nGC_4897 = 1333
  integer, parameter :: nGC_4896 = 1334
  integer, parameter :: nGC_8044 = 1335
  integer, parameter :: nGC_7163 = 1336
  integer, parameter :: nGC_8040 = 1337
  integer, parameter :: nGC_1611 = 1338
  integer, parameter :: nGC_5182 = 1339
  integer, parameter :: nGC_5183 = 1340
  integer, parameter :: nGC_5184 = 1341
  integer, parameter :: nGC_5185 = 1342
  integer, parameter :: nGC_5186 = 1343
  integer, parameter :: nGC_5187 = 1344
  integer, parameter :: nGC_TS_GC_103_Hl = 1345
  integer, parameter :: nGC_7082 = 1346
  integer, parameter :: nGC_2155 = 1347
  integer, parameter :: nGC_4851 = 1348
  integer, parameter :: nGC_8249 = 1349
  integer, parameter :: nGC_4965 = 1350
  integer, parameter :: nGC_4964 = 1351
  integer, parameter :: nGC_4967 = 1352
  integer, parameter :: nGC_4966 = 1353
  integer, parameter :: nGC_4961 = 1354
  integer, parameter :: nGC_4960 = 1355
  integer, parameter :: nGC_4963 = 1356
  integer, parameter :: nGC_7606 = 1357
  integer, parameter :: nGC_10185 = 1358
  integer, parameter :: nGC_10184 = 1359
  integer, parameter :: nGC_4969 = 1360
  integer, parameter :: nGC_4968 = 1361
  integer, parameter :: nGC_10181 = 1362
  integer, parameter :: nGC_7475 = 1363
  integer, parameter :: nGC_9721 = 1364
  integer, parameter :: nGC_5014 = 1365
  integer, parameter :: nGC_4952 = 1366
  integer, parameter :: nGC_5141 = 1367
  integer, parameter :: nGC_5116 = 1368
  integer, parameter :: nGC_5135 = 1369
  integer, parameter :: nGC_8228 = 1370
  integer, parameter :: nGC_7545 = 1371
  integer, parameter :: nGC_5131 = 1372
  integer, parameter :: nGC_5130 = 1373
  integer, parameter :: nGC_7540 = 1374
  integer, parameter :: nGC_7541 = 1375
  integer, parameter :: nGC_5139 = 1376
  integer, parameter :: nGC_5138 = 1377
  integer, parameter :: nGC_8735 = 1378
  integer, parameter :: nGC_8736 = 1379
  integer, parameter :: nGC_7617 = 1380
  integer, parameter :: nGC_7149 = 1381
  integer, parameter :: nGC_7758 = 1382
  integer, parameter :: nGC_7228 = 1383
  integer, parameter :: nGC_7381 = 1384
  integer, parameter :: nGC_9151 = 1385
  integer, parameter :: nGC_8229 = 1386
  integer, parameter :: nGC_5122 = 1387
  integer, parameter :: nGC_4950 = 1388
  integer, parameter :: nGC_5121 = 1389
  integer, parameter :: nGC_5126 = 1390
  integer, parameter :: nGC_5124 = 1391
  integer, parameter :: nGC_5125 = 1392
  integer, parameter :: nGC_5080 = 1393
  integer, parameter :: nGC_5128 = 1394
  integer, parameter :: nGC_5129 = 1395
  integer, parameter :: nGC_7186 = 1396
  integer, parameter :: nGC_10323 = 1397
  integer, parameter :: nGC_7333 = 1398
  integer, parameter :: nGC_5137 = 1399
  integer, parameter :: nGC_7336 = 1400
  integer, parameter :: nGC_5136 = 1401
  integer, parameter :: nGC_7133 = 1402
  integer, parameter :: nGC_7818 = 1403
  integer, parameter :: nGC_9144 = 1404
  integer, parameter :: nGC_9145 = 1405
  integer, parameter :: nGC_5132 = 1406
  integer, parameter :: nGC_7877 = 1407
  integer, parameter :: nGC_7334 = 1408
  integer, parameter :: nGC_7322 = 1409
  integer, parameter :: nGC_7321 = 1410
  integer, parameter :: nGC_7287 = 1411
  integer, parameter :: nGC_7286 = 1412
  integer, parameter :: nGC_5018 = 1413
  integer, parameter :: nGC_5150 = 1414
  integer, parameter :: nGC_5017 = 1415
  integer, parameter :: nGC_7445 = 1416
  integer, parameter :: nGC_7444 = 1417
  integer, parameter :: nGC_5159 = 1418
  integer, parameter :: nGC_4916 = 1419
  integer, parameter :: nGC_7134 = 1420
  integer, parameter :: nGC_14645 = 1421
  integer, parameter :: nGC_8799 = 1422
  integer, parameter :: nGC_4918 = 1423
  integer, parameter :: nGC_4919 = 1424
  integer, parameter :: nGC_11890 = 1425
  integer, parameter :: nGC_11891 = 1426
  integer, parameter :: nGC_10385 = 1427
  integer, parameter :: nGC_10384 = 1428
  integer, parameter :: nGC_10386 = 1429
  integer, parameter :: nGC_5140 = 1430
  integer, parameter :: nGC_13861 = 1431
  integer, parameter :: nGC_7800 = 1432
  integer, parameter :: nGC_8279 = 1433
  integer, parameter :: nGC_5147 = 1434
  integer, parameter :: nGC_4846 = 1435
  integer, parameter :: nGC_7459 = 1436
  integer, parameter :: nGC_9375 = 1437
  integer, parameter :: nGC_7190 = 1438
  integer, parameter :: nGC_9276 = 1439
  integer, parameter :: nGC_5149 = 1440
  integer, parameter :: nGC_4946 = 1441
  integer, parameter :: nGC_4921 = 1442
  integer, parameter :: nGC_8076 = 1443
  integer, parameter :: nGC_7116 = 1444
  integer, parameter :: nGC_4929 = 1445
  integer, parameter :: nGC_7051 = 1446
  integer, parameter :: nGC_8817 = 1447
  integer, parameter :: nGC_7053 = 1448
  integer, parameter :: nGC_8172 = 1449
  integer, parameter :: nGC_7796 = 1450
  integer, parameter :: nGC_7794 = 1451
  integer, parameter :: nGC_7954 = 1452
  integer, parameter :: nGC_8589 = 1453
  integer, parameter :: nGC_7340 = 1454
  integer, parameter :: nGC_10775 = 1455
  integer, parameter :: nGC_7657 = 1456
  integer, parameter :: nGC_7655 = 1457
  integer, parameter :: nGC_5171 = 1458
  integer, parameter :: nGC_5120 = 1459
  integer, parameter :: nGC_5151 = 1460
  integer, parameter :: nGC_7266 = 1461
  integer, parameter :: nGC_5070 = 1462
  integer, parameter :: nGC_7460 = 1463
  integer, parameter :: nGC_7267 = 1464
  integer, parameter :: nGC_4836 = 1465
  integer, parameter :: nGC_4835 = 1466
  integer, parameter :: nGC_4834 = 1467
  integer, parameter :: nGC_4833 = 1468
  integer, parameter :: nGC_4832 = 1469
  integer, parameter :: nGC_4938 = 1470
  integer, parameter :: nGC_4939 = 1471
  integer, parameter :: nGC_4936 = 1472
  integer, parameter :: nGC_4937 = 1473
  integer, parameter :: nGC_8800 = 1474
  integer, parameter :: nGC_4935 = 1475
  integer, parameter :: nGC_4933 = 1476
  integer, parameter :: nGC_4931 = 1477
  integer, parameter :: nGC_7871 = 1478
  integer, parameter :: nGC_5109 = 1479
  integer, parameter :: nGC_7947 = 1480
  integer, parameter :: nGC_5045 = 1481
  integer, parameter :: nGC_9995 = 1482
  integer, parameter :: nGC_15907 = 1483
  integer, parameter :: nGC_11820 = 1484
  integer, parameter :: nGC_7378 = 1485
  integer, parameter :: nGC_4917 = 1486
  integer, parameter :: nGC_5049 = 1487
  integer, parameter :: nGC_5048 = 1488
  integer, parameter :: nGC_9376 = 1489
  integer, parameter :: nGC_14846 = 1490
  integer, parameter :: nGC_8801 = 1491
  integer, parameter :: nGC_5142 = 1492
  integer, parameter :: nGC_5168 = 1493
  integer, parameter :: nGC_5167 = 1494
  integer, parameter :: nGC_5164 = 1495
  integer, parameter :: nGC_8693 = 1496
  integer, parameter :: nGC_5160 = 1497
  integer, parameter :: nGC_4949 = 1498
  integer, parameter :: nGC_4948 = 1499
  integer, parameter :: nGC_10186 = 1500
  integer, parameter :: nGC_4943 = 1501
  integer, parameter :: nGC_4942 = 1502
  integer, parameter :: nGC_4941 = 1503
  integer, parameter :: nGC_4940 = 1504
  integer, parameter :: nGC_4947 = 1505
  integer, parameter :: nGC_7279 = 1506
  integer, parameter :: nGC_4945 = 1507
  integer, parameter :: nGC_4944 = 1508
  integer, parameter :: nGC_5148 = 1509
  integer, parameter :: nGC_14098 = 1510
  integer, parameter :: nGC_8998 = 1511
  integer, parameter :: nGC_7368 = 1512
  integer, parameter :: nGC_8597 = 1513
  integer, parameter :: nGC_7939 = 1514
  integer, parameter :: nGC_7360 = 1515
  integer, parameter :: nGC_7111 = 1516
  integer, parameter :: nGC_8127 = 1517
  integer, parameter :: nGC_4871 = 1518
  integer, parameter :: nGC_8459 = 1519
  integer, parameter :: nGC_7569 = 1520
  integer, parameter :: nGC_7567 = 1521
  integer, parameter :: nGC_5117 = 1522
  integer, parameter :: nGC_14358 = 1523
  integer, parameter :: nGC_5115 = 1524
  integer, parameter :: nGC_5114 = 1525
  integer, parameter :: nGC_7032 = 1526
  integer, parameter :: nGC_7246 = 1527
  integer, parameter :: nGC_8280 = 1528
  integer, parameter :: nGC_10988 = 1529
  integer, parameter :: nGC_12208 = 1530
  integer, parameter :: nGC_4884 = 1531
  integer, parameter :: nGC_4885 = 1532
  integer, parameter :: nGC_4883 = 1533
  integer, parameter :: nGC_15294 = 1534
  integer, parameter :: nGC_13605 = 1535
  integer, parameter :: nGC_4889 = 1536
  integer, parameter :: nGC_5108 = 1537
  integer, parameter :: nGC_7476 = 1538
  integer, parameter :: nGC_7150 = 1539
  integer, parameter :: nGC_9122 = 1540
  integer, parameter :: nGC_7090 = 1541
  integer, parameter :: nGC_12226 = 1542
  integer, parameter :: nGC_5106 = 1543
  integer, parameter :: nGC_5107 = 1544
  integer, parameter :: nGC_7256 = 1545
  integer, parameter :: nGC_8037 = 1546
  integer, parameter :: nGC_9123 = 1547
  integer, parameter :: nGC_7399 = 1548
  integer, parameter :: nGC_8526 = 1549
  integer, parameter :: nGC_8039 = 1550
  integer, parameter :: nGC_8007 = 1551
  integer, parameter :: nGC_14538 = 1552
  integer, parameter :: nGC_14241 = 1553
  integer, parameter :: nGC_7795 = 1554
  integer, parameter :: nGC_9996 = 1555
  integer, parameter :: nGC_7335 = 1556
  integer, parameter :: nGC_14255 = 1557
  integer, parameter :: nGC_7341 = 1558
  integer, parameter :: nGC_7531 = 1559
  integer, parameter :: nGC_7112 = 1560
  integer, parameter :: nGC_7380 = 1561
  integer, parameter :: nGC_7323 = 1562
  integer, parameter :: nGC_8461 = 1563
  integer, parameter :: nGC_7247 = 1564
  integer, parameter :: nGC_7656 = 1565
  integer, parameter :: nGC_13985 = 1566
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
