!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_233) = -3d0*ca*cima*sa**2d0*vevs
      coupl(nGC_231) = -cima*sa*(3d0*ca**2d0*l2 - 4d0*ca**2d0*l3 + 2d0*l3*sa** &
                       2d0)/2d0
      coupl(nGC_237) = -ca*cima*(ca**2d0*l3 + 3d0*l1*sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_235) = -3d0*ca**2d0*cima*sa*vev/2d0
      coupl(nGC_239) = -cima*(3d0*ca**3d0*l2*vev - 4d0*ca**3d0*l3*vev + 12d0*ca&
                       **2d0*l1*sa*vevs - 14d0*ca**2d0*l3*sa*vevs - 6d0*ca*l2* &
                       sa**2d0*vev + 14d0*ca*l3*sa**2d0*vev - 6d0*l1*sa**3d0*  &
                       vevs + 4d0*l3*sa**3d0*vevs)/2d0
      coupl(nGC_4666) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_4667) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4665) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_4662) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_4663) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_4660) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_4661) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_4668) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_4669) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_4590) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_4591) = ca*cima*ee/(2d0*sw)
      coupl(nGC_4592) = -ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_4593) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_4594) = ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_4595) = -ca*cima*ee**2d0*vev/sw**3d0
      coupl(nGC_4596) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_4597) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_4598) = ca*cima*ee**2d0*vev/sw**2d0
      coupl(nGC_4599) = -cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_MHH) = -cMHH**2d0*cima
      coupl(nGC_4729) = sqrt(2d0)/2d0
      coupl(nGC_4728) = -ca*cima*ee**2d0/cw
      coupl(nGC_4727) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_4726) = ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_4725) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_4724) = cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)** &
                        2d0/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_4723) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_4722) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_4721) = -cima*ee**2d0*vev/sw
      coupl(nGC_4720) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_221) = -3d0*ca*cima*sa**2d0*vev/2d0
      coupl(nGC_223) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 + l3*sa**2d0)
      coupl(nGC_225) = cima*(6d0*ca**3d0*l1*vevs - 4d0*ca**3d0*l3*vevs - 6d0*ca&
                       **2d0*l2*sa*vev + 14d0*ca**2d0*l3*sa*vev - 12d0*ca*l1*sa&
                       **2d0*vevs + 14d0*ca*l3*sa**2d0*vevs + 3d0*l2*sa**3d0*  &
                       vev - 4d0*l3*sa**3d0*vev)/2d0
      coupl(nGC_227) = -cima*(ca**3d0*vev + 2d0*ca**2d0*sa*vevs - 2d0*ca*sa**  &
                       2d0*vev - sa**3d0*vevs)
      coupl(nGC_4613) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_4612) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_4611) = ee**2d0/sw
      coupl(nGC_4610) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_4617) = 2d0*cima*ee**2d0/sw
      coupl(nGC_4616) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_4615) = -sqrt(2d0)/2d0
      coupl(nGC_4614) = -ca*cima*ee**2d0/sw
      coupl(nGC_4619) = -cima*ee**2d0*sa*vev/sw**3d0
      coupl(nGC_29) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_26) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_99) = -sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_98) = -sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_97) = sqrt(2d0)*ye/2d0
      coupl(nGC_96) = -sqrt(2d0)*ye/2d0
      coupl(nGC_95) = -cima*ye
      coupl(nGC_94) = -sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_93) = -sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_92) = sqrt(2d0)*ydo/2d0
      coupl(nGC_91) = -sqrt(2d0)*ydo/2d0
      coupl(nGC_90) = -cima*ydo
      coupl(nGC_75) = -ca*cima*l2*vev/2d0 + cima*l3*sa*vevs
      coupl(nGC_74) = -ca*cima*l3*vevs - cima*l2*sa*vev/2d0
      coupl(nGC_77) = -3d0*ca**3d0*cima*l1*vevs - 3d0*ca**2d0*cima*l3*sa*vev - &
                      3d0*ca*cima*l3*sa**2d0*vevs - 3d0*cima*l2*sa**3d0*vev/2d0
      coupl(nGC_76) = -ca**3d0*cima*l3*vevs - 3d0*ca**2d0*cima*l2*sa*vev/2d0 + &
                      2d0*ca**2d0*cima*l3*sa*vev - 3d0*ca*cima*l1*sa**2d0*vevs &
                       + 2d0*ca*cima*l3*sa**2d0*vevs - cima*l3*sa**3d0*vev
      coupl(nGC_71) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_70) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_73) = cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) + cima*ee**2d0*&
                      sa*vev + cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_72) = ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + ca*cima*ee** &
                      2d0*vev + ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_79) = -ca**3d0*cima*l3*vev + 3d0*ca**2d0*cima*l1*sa*vevs - 2d0*&
                      ca**2d0*cima*l3*sa*vevs - 3d0*ca*cima*l2*sa**2d0*vev/2d0 &
                       + 2d0*ca*cima*l3*sa**2d0*vev + cima*l3*sa**3d0*vevs
      coupl(nGC_78) = -3d0*ca**3d0*cima*l2*vev/2d0 + 3d0*ca**2d0*cima*l3*sa*   &
                      vevs - 3d0*ca*cima*l3*sa**2d0*vev + 3d0*cima*l1*sa**3d0* &
                      vevs
      coupl(nGC_4738) = -cima*ee**2d0*sa/cw
      coupl(nGC_4739) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_4734) = -sqrt(2d0)/2d0
      coupl(nGC_4735) = sqrt(2d0)/2d0
      coupl(nGC_4736) = cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_4737) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_4730) = -sqrt(2d0)/2d0
      coupl(nGC_4731) = 2d0*cima*gs**2d0
      coupl(nGC_4732) = -cima/2d0
      coupl(nGC_4733) = sqrt(2d0)/2d0
      coupl(nGC_219) = 3d0*ca**2d0*cima*sa*vevs
      coupl(nGC_217) = -ca*cima*(2d0*ca**2d0*l3 + 3d0*l2*sa**2d0 - 4d0*l3*sa** &
                       2d0)/2d0
      coupl(nGC_211) = 3d0*cima*(2d0*ca**3d0*l3*vevs + 3d0*ca**2d0*l2*sa*vev - &
                       4d0*ca**2d0*l3*sa*vev + 6d0*ca*l1*sa**2d0*vevs - 4d0*ca*&
                       l3*sa**2d0*vevs + 2d0*l3*sa**3d0*vev)/2d0
      coupl(nGC_213) = 3d0*ca*cima*sa*(ca*vevs - sa*vev)
      coupl(nGC_4600) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_4601) = cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_4602) = -ca*cima*ee**2d0*sa/sw**3d0
      coupl(nGC_4603) = cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
      coupl(nGC_4604) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_4605) = -cima*cw*ee/sw**2d0
      coupl(nGC_4606) = cima*ee/sw
      coupl(nGC_4607) = cima*cw*ee/sw
      coupl(nGC_4608) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_4609) = -ee**2d0/sw
      coupl(nGC_MI) = -cima
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_88) = -sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_89) = -sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_80) = -cima*yb
      coupl(nGC_81) = -sqrt(2d0)*yb/2d0
      coupl(nGC_82) = sqrt(2d0)*yb/2d0
      coupl(nGC_83) = -sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_84) = -sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_85) = cima*yc
      coupl(nGC_86) = -sqrt(2d0)*yc/2d0
      coupl(nGC_87) = sqrt(2d0)*yc/2d0
      coupl(nGC_66) = ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*ee**  &
                      2d0*sa + ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_67) = cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0&
                      *sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_64) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_65) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima&
                      *ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_62) = -cMZ*cima*cw*ee*sa/(2d0*sw) - cMZ*cima*ee*sa*sw/(2d0*cw)
      coupl(nGC_63) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_60) = -cMZ*ca*cima*cw*ee/(2d0*sw) - cMZ*ca*cima*ee*sw/(2d0*cw)
      coupl(nGC_61) = -cw*ee*sa/(2d0*sw) - ee*sa*sw/(2d0*cw)
      coupl(nGC_68) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_69) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_4709) = -ee**2d0/cw
      coupl(nGC_4708) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_4701) = -cMZ*cima*ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4700) = -cima*ee*sa*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_4703) = cima*ee
      coupl(nGC_4702) = -cMZ*ca*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4705) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_4704) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_4707) = 4d0*cima*ee**2d0
      coupl(nGC_4706) = -cima*ee**2d0*vev/cw
      coupl(nGC_209) = 3d0*cima*sa*(ca**2d0*l3 + l1*sa**2d0)
      coupl(nGC_203) = -3d0*ca*cima*(ca**2d0*l2 + 2d0*l3*sa**2d0)/2d0
      coupl(nGC_207) = -3d0*ca**3d0*cima*vev/2d0
      coupl(nGC_205) = 3d0*cima*sa**3d0*vevs
      coupl(nGC_4639) = ee**2d0/cw
      coupl(nGC_4638) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_4635) = ca*cima*ee/(2d0*sw)
      coupl(nGC_4634) = -cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_4637) = sqrt(2d0)/2d0
      coupl(nGC_4636) = cima*ee*sa/(2d0*sw)
      coupl(nGC_4631) = -sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_4630) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4633) = sqrt(2d0)/2d0
      coupl(nGC_4632) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4569) = 2d0*cima*ee**2d0
      coupl(nGC_53) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_52) = cima*ee*sw/cw
      coupl(nGC_51) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_50) = cima*ee*sw/(3d0*cw)
      coupl(nGC_57) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
      coupl(nGC_56) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_55) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_54) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_59) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
      coupl(nGC_58) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_4664) = sqrt(2d0)/2d0
      coupl(nGC_4628) = -sqrt(2d0)/2d0
      coupl(nGC_4629) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_4622) = cima*ee**2d0*sa*vev/sw**2d0
      coupl(nGC_4623) = sqrt(2d0)/2d0
      coupl(nGC_4620) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_4621) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_4626) = cMW*cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_4627) = -cMW*cima*ee*sa/(2d0*sw)
      coupl(nGC_4624) = -cMW*ca*cima*ee/(2d0*sw)
      coupl(nGC_4625) = -cima*ee*sa/(4d0*cMW*sw)
      coupl(nGC_4716) = -ca*cima*l2/2d0
      coupl(nGC_4717) = cima*l3*sa
      coupl(nGC_4714) = cima*(2d0*ca*l3*vevs + l2*sa*vev)/2d0
      coupl(nGC_4715) = -ca*cima*vev/2d0
      coupl(nGC_4712) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_4713) = ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_4710) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_4711) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_4718) = cima*sa*vevs
      coupl(nGC_4719) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_4578) = -sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_4579) = -ee/(2d0*sw**2d0)
      coupl(nGC_4576) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_4577) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4574) = cima*ee**2d0/sw**2d0
      coupl(nGC_4575) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_4572) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4573) = -cima*ee**2d0/sw**3d0
      coupl(nGC_4570) = -sqrt(2d0)/2d0
      coupl(nGC_4571) = -sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_413) = 1d0/(2d0*cMZ)
      coupl(nGC_48) = -cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_49) = -cMW*cima*ee*sa/(2d0*sw)
      coupl(nGC_44) = -cMW*ca*cima*ee/(2d0*sw)
      coupl(nGC_45) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_46) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_47) = cima*ee*sa/(2d0*sw)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
