!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_40) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_41) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_42) = -cMW*ee/(2d0*sw)
      coupl(nGC_43) = cMW*ee/(2d0*sw)
      coupl(nGC_4763) = -sqrt(2d0)/2d0
      coupl(nGC_4762) = -cima*cw*ee/sw
      coupl(nGC_4761) = -cima*ee/sw
      coupl(nGC_4760) = cima*cw*ee/sw**2d0
      coupl(nGC_4767) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_4766) = -3d0*ca**4d0*cima
      coupl(nGC_4765) = -3d0*cima*sa**4d0/2d0
      coupl(nGC_4764) = 6d0*ca*cima*sa*(2d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - l2*sa&
                        **2d0 + 2d0*l3*sa**2d0)
      coupl(nGC_4769) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_4768) = sqrt(2d0)/2d0
      coupl(nGC_409) = -cima/(2d0*cMW)
      coupl(nGC_405) = cima/(2d0*cMW)
      coupl(nGC_629) = -coupl(nGC_61)
      coupl(nGC_39) = ee**2d0/(2d0*sw)
      coupl(nGC_38) = -ee**2d0/(2d0*sw)
      coupl(nGC_31) = cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
      coupl(nGC_30) = ca*cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_33) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_32) = ee/(2d0*sw)
      coupl(nGC_35) = ca*cima*ee/(2d0*sw)
      coupl(nGC_37) = cima*cw*ee/sw
      coupl(nGC_36) = -cima*cw*ee/sw
      coupl(nGC_4770) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
      coupl(nGC_4771) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_4772) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_4773) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)*(2d0*l1 + l2 - 4d0*&
                        l3)
      coupl(nGC_4774) = -3d0*ca**2d0*cima*sa**2d0/2d0
      coupl(nGC_4775) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_4776) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_4777) = -cima*(ca - sa)*(ca + sa)*(l2 - 2d0*l3)/2d0
      coupl(nGC_4778) = -ca*cima*sa/2d0
      coupl(nGC_4779) = ca*cima*sa
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_4809) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_4803) = -ca*cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_1929) = -coupl(nGC_41)/2d0
      coupl(nGC_1103) = -coupl(nGC_32)
      coupl(nGC_1589) = -coupl(nGC_46)
      coupl(nGC_28) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_22) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca*&
                      cima*l2*sa**3d0/2d0 + 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_23) = -3d0*ca**4d0*cima*l2/2d0 - 6d0*ca**2d0*cima*l3*sa**2d0 - &
                      3d0*cima*l1*sa**4d0
      coupl(nGC_20) = -ca**2d0*cima*l2/2d0 - cima*l3*sa**2d0
      coupl(nGC_21) = -3d0*ca**3d0*cima*l2*sa/2d0 + 3d0*ca**3d0*cima*l3*sa +   &
                      3d0*ca*cima*l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_27) = -cima*ee**2d0/sw**2d0
      coupl(nGC_24) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*&
                      cima*l2*sa**4d0/2d0
      coupl(nGC_25) = -ca**4d0*cima*l3 - 3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**&
                      2d0*cima*l2*sa**2d0/2d0 + 4d0*ca**2d0*cima*l3*sa**2d0 -  &
                      cima*l3*sa**4d0
      coupl(nGC_983) = -coupl(nGC_35)
      coupl(nGC_4831) = cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_4830) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_4699) = -cMZ*cima*ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_4698) = cMZ*cima*ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_4693) = -cima*sa*vev/2d0
      coupl(nGC_4692) = -cima*(ca*l2*vev - 2d0*l3*sa*vevs)/2d0
      coupl(nGC_4691) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw &
                        **2d0)
      coupl(nGC_4690) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_4697) = -sqrt(2d0)/2d0
      coupl(nGC_4696) = -ca*cima*vevs
      coupl(nGC_4695) = -ca*cima*l3
      coupl(nGC_4694) = -cima*l2*sa/2d0
      coupl(nGC_4749) = 3d0*ca*cima*sa**3d0
      coupl(nGC_4748) = -3d0*ca**3d0*cima*sa/2d0
      coupl(nGC_4745) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_4744) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                        2d0*sw**2d0)
      coupl(nGC_4747) = 3d0*cima*(-ca**4d0*l2 + 2d0*ca**4d0*l3 + 6d0*ca**2d0*l1&
                        *sa**2d0 + 3d0*ca**2d0*l2*sa**2d0 - 12d0*ca**2d0*l3*sa &
                        **2d0 - 2d0*l1*sa**4d0 + 2d0*l3*sa**4d0)/2d0
      coupl(nGC_4746) = -3d0*cima/2d0
      coupl(nGC_4741) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_4740) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4743) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_4742) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_17) = -cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_16) = cMW*cima*ee
      coupl(nGC_15) = -3d0*cima*l2/2d0
      coupl(nGC_14) = -cima*l2
      coupl(nGC_13) = -cima*l2/2d0
      coupl(nGC_12) = cima*gs**2d0
      coupl(nGC_11) = cima*gs
      coupl(nGC_10) = -gs
      coupl(nGC_19) = -ca**2d0*cima*l3 - cima*l2*sa**2d0/2d0
      coupl(nGC_18) = -ca*cima*l2*sa/2d0 + ca*cima*l3*sa
      coupl(nGC_4824) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_4825) = cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_4826) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_4827) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_4820) = -cMZ*cima*ee/(2d0*sw**2d0)
      coupl(nGC_4821) = cima*ee/(4d0*cMZ*sw)
      coupl(nGC_4822) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_4823) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4828) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_4829) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_4688) = cima*ee/3d0
      coupl(nGC_4689) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_4680) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_4681) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_4682) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                        2d0*sw**2d0)
      coupl(nGC_4683) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_4684) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_4685) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_4686) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4687) = -ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4758) = cMW*cima*ee
      coupl(nGC_4759) = -sqrt(2d0)/2d0
      coupl(nGC_4752) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4753) = -6d0*ca*cima*sa*(-ca**2d0*l2 + 2d0*ca**2d0*l3 + 2d0*l1*&
                        sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_4750) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_4751) = sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_4756) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_4757) = cima*ee/(2d0*cMW)
      coupl(nGC_4754) = -3d0*ca**4d0*cima/2d0
      coupl(nGC_4755) = -3d0*cima*sa**4d0
      coupl(nGC_703) = -coupl(nGC_57)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_4811) = -3d0*ca*cima*sa**3d0/2d0
      coupl(nGC_4810) = 3d0*cima*(2d0*ca**4d0*l1 - 2d0*ca**4d0*l3 - 6d0*ca**2d0&
                        *l1*sa**2d0 - 3d0*ca**2d0*l2*sa**2d0 + 12d0*ca**2d0*l3*&
                        sa**2d0 + l2*sa**4d0 - 2d0*l3*sa**4d0)/2d0
      coupl(nGC_4813) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_4812) = 3d0*ca**3d0*cima*sa
      coupl(nGC_4815) = cMW*cima*ee*sa/(2d0*sw)
      coupl(nGC_4814) = sqrt(2d0)/2d0
      coupl(nGC_4817) = cMW*ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_4816) = -ca*cima*ee/(4d0*cMW*sw)
      coupl(nGC_4819) = -cima*ee
      coupl(nGC_4818) = -cMW*ca*cima*ee/(2d0*sw)
      coupl(nGC_4781) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4780) = -sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_4783) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4782) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_4785) = -cima*sa**2d0/2d0
      coupl(nGC_4784) = -ca*cima*sa*(l2 - 2d0*l3)
      coupl(nGC_4787) = ca*cima*sa*(l2 - 2d0*l3)
      coupl(nGC_4786) = -ca**2d0*cima
      coupl(nGC_4789) = -cima*sa**2d0
      coupl(nGC_4788) = -ca**2d0*cima/2d0
      coupl(nGC_283) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_281) = -sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_1793) = -coupl(nGC_12)
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_4618) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_4808) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_4806) = -sqrt(2d0)/2d0
      coupl(nGC_4807) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_4804) = -cMZ*ca*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4805) = cMZ*cima*ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4802) = -cMZ*ca*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_4800) = -2d0*cima*ee/3d0
      coupl(nGC_4801) = cMZ*ca*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_4798) = ee/(4d0*cMW*sw)
      coupl(nGC_4799) = cMW*ee/(2d0*sw)
      coupl(nGC_4796) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4797) = -cMW*ee/(2d0*sw**2d0)
      coupl(nGC_4794) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4795) = -sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_4792) = -cMW*ee/(2d0*sw)
      coupl(nGC_4793) = -sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_4790) = cMW*ee/(2d0*sw**2d0)
      coupl(nGC_4791) = -ee/(4d0*cMW*sw)
      coupl(nGC_277) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_275) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_271) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_34) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_1785) = -2d0*coupl(nGC_12)
      coupl(nGC_1789) = 2d0*coupl(nGC_12)
      coupl(nGC_124) = -sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_122) = sqrt(2d0)*yup/2d0
      coupl(nGC_123) = -sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_120) = cima*yup
      coupl(nGC_121) = -sqrt(2d0)*yup/2d0
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_I) = cima
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -ee**2d0/(2d0*cw)
      coupl(nGC_6) = 2d0*cima*ee**2d0
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_8) = ee**2d0/(2d0*cw)
      coupl(nGC_4659) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_4658) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_4657) = -gs
      coupl(nGC_4656) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4655) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_4654) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_4653) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_4652) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_4651) = cima*ee*sw/cw
      coupl(nGC_4650) = -cima*ee*sw/cw**2d0
      coupl(nGC_269) = -sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_265) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_263) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_483) = -2d0*coupl(nGC_29)
      coupl(nGC_245) = -3d0*cima*sa*(2d0*ca**2d0*l3 + l2*sa**2d0)/2d0
      coupl(nGC_241) = -cima*(ca**3d0*vevs - 2d0*ca**2d0*sa*vev - 2d0*ca*sa**  &
                       2d0*vevs + sa**3d0*vev)
      coupl(nGC_249) = -3d0*cima*sa**3d0*vev/2d0
      coupl(nGC_4648) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_4649) = cima*ee/cw
      coupl(nGC_4644) = -ca*cima*ee**2d0/(2d0*sw)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
