!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_5221) = -cima*dl2_QED4
      coupl(nGC_5250) = coupl(nGC_4599)*dsw_QED2 + coupl(nGC_4600)*da_QED2 +   &
                        coupl(nGC_4601)*dZee_QED2
      coupl(nGC_TS_GC_78_Hl) = -coupl(nGC_78)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_93_Hl) = -coupl(nGC_93)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
      coupl(nGC_10313) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_10314) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_10315) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_TS_GC_67_Hh) = -coupl(nGC_67)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7611) = coupl(nGC_66)*dZZA_QED2/2d0
      coupl(nGC_5289) = -cima*dyb_QED1_QCD2
      coupl(nGC_5288) = cima*dyt_QED3
      coupl(nGC_5283) = -cima*dys_QED1_QCD2
      coupl(nGC_5282) = cima*dyup_QED3
      coupl(nGC_5281) = cima*dyup_QED1_QCD2
      coupl(nGC_5280) = -cima*dydo_QED3
      coupl(nGC_5287) = cima*dyt_QED1_QCD2
      coupl(nGC_5286) = cima*dyc_QED3
      coupl(nGC_5285) = cima*dyc_QED1_QCD2
      coupl(nGC_5284) = -cima*dys_QED3
      coupl(nGC_10051) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_66_Hl) = -coupl(nGC_66)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_79_Hl) = -coupl(nGC_79)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_79_Hh) = -coupl(nGC_79)*dtHh_QED1/cMHH**2d0
      coupl(nGC_5428) = -cima*dME_QED2
      coupl(nGC_5298) = coupl(nGC_4615)*dys_QED3
      coupl(nGC_5299) = coupl(nGC_4735)*dyb_QED1_QCD2
      coupl(nGC_5290) = -cima*dyb_QED3
      coupl(nGC_5291) = coupl(nGC_4628)*dydo_QED1_QCD2
      coupl(nGC_5292) = coupl(nGC_4628)*dydo_QED3
      coupl(nGC_5293) = coupl(nGC_4637)*dydo_QED1_QCD2
      coupl(nGC_5294) = coupl(nGC_4637)*dydo_QED3
      coupl(nGC_5295) = coupl(nGC_4623)*dys_QED1_QCD2
      coupl(nGC_5296) = coupl(nGC_4623)*dys_QED3
      coupl(nGC_5297) = coupl(nGC_4615)*dys_QED1_QCD2
      coupl(nGC_9899) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_9892) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_9893) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_9891) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_9894) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_7456) = coupl(nGC_50)*dZbR_QCD2
      coupl(nGC_7452) = coupl(nGC_53)*dZbL_QCD2
      coupl(nGC_7180) = coupl(nGC_64)*dZZA_QED2/2d0
      coupl(nGC_7276) = coupl(nGC_72)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_57_Hl) = -coupl(nGC_57)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8691) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_5261) = coupl(nGC_4708)*dcw_QED2 + coupl(nGC_4709)*dZee_QED2
      coupl(nGC_7855) = coupl(nGC_MI)*dZcL_QED2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
