!******************************************************************************!
!                                                                              !
!    ctparameter121.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter121.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:20             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter121
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter121()
  dZA_QED2 = (8d0*Nc*Ten226*cMU_reg**2d0*coupl(nGC_2)**2d0 + 8d0*Nc*Ten227*    &
             cMC_reg**2d0*coupl(nGC_2)**2d0 + 8d0*Nc*Ten228*cMT**2d0*coupl(    &
             nGC_2)**2d0 + 8d0*Nc*Ten229*cMD_reg**2d0*coupl(nGC_1)**2d0 + 8d0* &
             Nc*Ten230*cMS_reg**2d0*coupl(nGC_1)**2d0 + 8d0*Nc*Ten231*cMB_reg**&
             2d0*coupl(nGC_1)**2d0 - 16d0*Nc*Ten232*coupl(nGC_2)**2d0 - 16d0*Nc&
             *Ten233*coupl(nGC_2)**2d0 - 16d0*Nc*Ten234*coupl(nGC_2)**2d0 -    &
             16d0*Nc*Ten235*coupl(nGC_1)**2d0 - 16d0*Nc*Ten236*coupl(nGC_1)**  &
             2d0 - 16d0*Nc*Ten237*coupl(nGC_1)**2d0 - 4d0*Nc*Ten238*coupl(nGC_2&
             )**2d0/3d0 - 4d0*Nc*Ten239*coupl(nGC_2)**2d0/3d0 - 4d0*Nc*Ten240* &
             coupl(nGC_1)**2d0/3d0 - 4d0*Nc*Ten241*coupl(nGC_1)**2d0/3d0 - 4d0*&
             Nc*Ten242*coupl(nGC_1)**2d0/3d0 + Ten516*(-8d0*coupl(nGC_3)**2d0  &
              - coupl(nGC_4)**2d0) + Ten517*(-13d0*coupl(nGC_3)**2d0 - 3d0*    &
             coupl(nGC_4)**2d0) + Ten518*(-13d0*coupl(nGC_3)**2d0 - 3d0*coupl( &
             nGC_4)**2d0) + Ten532*(-34d0*coupl(nGC_3)**2d0 - 6d0*coupl(nGC_4  &
             )**2d0) + 8d0*Ten533*cME_reg**2d0*coupl(nGC_4)**2d0 + 8d0*Ten534* &
             cMM_reg**2d0*coupl(nGC_4)**2d0 + 8d0*Ten535*cMTA_reg**2d0*coupl(  &
             nGC_4)**2d0 - 16d0*Ten536*coupl(nGC_4)**2d0 - 16d0*Ten537*coupl(  &
             nGC_4)**2d0 - 16d0*Ten538*coupl(nGC_4)**2d0 + 4d0*Ten539*coupl(   &
             nGC_71)**2d0 - 4d0*Ten540*coupl(nGC_4)**2d0/3d0 - 4d0*Ten541*coupl&
             (nGC_4)**2d0/3d0 - 4d0*Ten542*coupl(nGC_4)**2d0/3d0 + pi**2d0*(-  &
             4d0*Nc*coupl(nGC_2)**2d0/(3d0*pi**2d0) - 4d0*coupl(nGC_3)**2d0/(  &
             3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZA_QED2 = cone*real(dZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter121
end module ctparameter121
