!******************************************************************************!
!                                                                              !
!    ctparameter144.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter144.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:20             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter144
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter144()
  dZDV_QED2 = D12_BFM_QED2*(ca**2d0 - sa**2d0)/2d0 - OD12_BFM_QED2*ca*sa - ca* &
              dZHhHl_QED2*sa - ca*dZHlHh_QED2*sa + dZHh_QED2*(ca**2d0 - sa**2d0&
              )/2d0 + dZHl_QED2*(-ca**2d0 + sa**2d0)/2d0 + dtHl_QED1*(-ca*vevs &
               - sa*vev)/(cMHL**2d0*vev*vevs) + dtHh_QED1*(ca*vev - sa*vevs)/( &
              cMHH**2d0*vev*vevs)
    if (.not. complex_mass_scheme) then
      dZDV_QED2 = cone*real(dZDV_QED2,kind=dp)
    end if 
end subroutine set_ctparameter144
end module ctparameter144
