!******************************************************************************!
!                                                                              !
!    ctparameter155.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter155.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:20             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter155
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter155()
  dtHhHl_PRTS_fin_QED2 = ca*dtHl_MS_BSM_QED1*sa*(-MHH**2d0*ca*vevs - MHH**2d0* &
                         sa*vev - 2d0*MHL**2d0*ca*vevs - 2d0*MHL**2d0*sa*vev)/(&
                         MHL**2d0*vev*vevs) + ca*dtHl_QED1*sa*(MHH**2d0*ca*vevs&
                          + MHH**2d0*sa*vev + 2d0*MHL**2d0*ca*vevs + 2d0*MHL** &
                         2d0*sa*vev)/(MHL**2d0*vev*vevs) + ca*dtHh_MS_BSM_QED1*&
                         sa*(2d0*MHH**2d0*ca*vev - 2d0*MHH**2d0*sa*vevs + MHL**&
                         2d0*ca*vev - MHL**2d0*sa*vevs)/(MHH**2d0*vev*vevs) +  &
                         ca*dtHh_QED1*sa*(-2d0*MHH**2d0*ca*vev + 2d0*MHH**2d0* &
                         sa*vevs - MHL**2d0*ca*vev + MHL**2d0*sa*vevs)/(MHH**  &
                         2d0*vev*vevs)
    if (.not. complex_mass_scheme) then
      dtHhHl_PRTS_fin_QED2 = cone*real(dtHhHl_PRTS_fin_QED2,kind=dp)
    end if 
end subroutine set_ctparameter155
end module ctparameter155
