!******************************************************************************!
!                                                                              !
!    ctparameter177.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter177.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:20             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter177
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter177()
  if (dl3_QED4_scheme .eq. 1) then
    DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
    dl3_QED4 = DeltaUV*l3*(12d0*aEW*cMB**2d0*cw**2d0*pi**2d0 + 12d0*aEW*cMC**  &
               2d0*cw**2d0*pi**2d0 + 12d0*aEW*cMD**2d0*cw**2d0*pi**2d0 + 4d0*  &
               aEW*cME**2d0*cw**2d0*pi**2d0 + 4d0*aEW*cMM**2d0*cw**2d0*pi**2d0 &
                + 12d0*aEW*cMS**2d0*cw**2d0*pi**2d0 + 12d0*aEW*cMT**2d0*cw**2d0&
               *pi**2d0 + 4d0*aEW*cMTA**2d0*cw**2d0*pi**2d0 + 12d0*aEW*cMU**2d0&
               *cw**2d0*pi**2d0 - 12d0*aEW*cMW**2d0*cw**2d0*pi**2d0 - 6d0*aEW* &
               cMW**2d0*pi**2d0 + 3d0*pi*cMW**2d0*cw**2d0*l1*sw**2d0 + 3d0*pi* &
               cMW**2d0*cw**2d0*l2*sw**2d0 + 4d0*pi*cMW**2d0*cw**2d0*l3*sw**2d0&
               )/(32d0*pi*cMW**2d0*cw**2d0*pi**2d0*sw**2d0)
    if (.not. complex_mass_scheme) then
      dl3_QED4 = cone*real(dl3_QED4,kind=dp)
    end if 
    DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
  end if 
end subroutine set_ctparameter177
end module ctparameter177
