!******************************************************************************!
!                                                                              !
!    ctparameter48.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter48.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:20             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter48
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter48()
  if (dZbL_QED2_scheme .eq. 2) then
    dZbL_QED2 = (Ten201*coupl(nGC_1)**2d0 + Ten265*(-2d0*coupl(nGC_53)**2d0 -  &
                coupl(nGC_81)*coupl(nGC_82)) - Ten266*coupl(nGC_84)**2d0 -     &
                Ten267*coupl(nGC_83)**2d0 + Ten394*(coupl(nGC_110)**2d0 + 2d0* &
                coupl(nGC_33)**2d0) + Ten395*(coupl(nGC_110)**2d0 + 2d0*coupl( &
                nGC_33)**2d0) + pi**2d0*(-coupl(nGC_33)**2d0/pi**2d0 - coupl(  &
                nGC_53)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZbL_QED2 = cone*real(dZbL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter48
end module ctparameter48
