!******************************************************************************!
!                                                                              !
!    ctparameter79.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter79.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:20             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter79
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter79()
  if (dMU_QED2_scheme .eq. 0) then
    dMU_QED2 = (2d0*Ten243*cMU*coupl(nGC_2)**2d0 + Ten244*cMU*(-coupl(nGC_121  &
               )**2d0 - 2d0*coupl(nGC_121)*coupl(nGC_122) - coupl(nGC_122)**2d0&
                - 2d0*coupl(nGC_51)**2d0 + 8d0*coupl(nGC_51)*coupl(nGC_54) -   &
               2d0*coupl(nGC_54)**2d0)/2d0 + Ten245*(-cMD*coupl(nGC_120)*coupl(&
               nGC_90) - cMU*coupl(nGC_120)**2d0/2d0 - cMU*coupl(nGC_33)**2d0  &
                - cMU*coupl(nGC_90)**2d0/2d0) + Ten246*cMU*coupl(nGC_124)**2d0 &
                + Ten247*cMU*coupl(nGC_123)**2d0 - 2d0*Ten248*cMU*coupl(nGC_2  &
               )**2d0 + Ten249*cMU*(-coupl(nGC_121)*coupl(nGC_122) - coupl(    &
               nGC_51)**2d0 - coupl(nGC_54)**2d0) + Ten250*cMU*(-coupl(nGC_120 &
               )**2d0 - 2d0*coupl(nGC_33)**2d0 - coupl(nGC_90)**2d0)/2d0 -     &
               Ten251*cMU*coupl(nGC_124)**2d0 - Ten252*cMU*coupl(nGC_123)**2d0 &
                + pi**2d0*(-cMU*coupl(nGC_2)**2d0/pi**2d0 + cMU*coupl(nGC_33)**&
               2d0/(2d0*pi**2d0) + cMU*coupl(nGC_51)**2d0/(2d0*pi**2d0) - 2d0* &
               cMU*coupl(nGC_51)*coupl(nGC_54)/pi**2d0 + cMU*coupl(nGC_54)**2d0&
               /(2d0*pi**2d0)))/(16d0*pi**2d0) + cima*coupl(nGC_123)*dtHl_QED1/&
               cMHL**2d0 + cima*coupl(nGC_124)*dtHh_QED1/cMHH**2d0
    dMU_QED2 = cone*real(dMU_QED2,kind=dp)
  end if 
end subroutine set_ctparameter79
end module ctparameter79
