!******************************************************************************!
!                                                                              !
!    lcVVVV.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcVVVV.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcVVVV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec
  contains
    subroutine loopVVVV(ty, co, wl, P1, PL1, w2, P2, PL2, w3, P3, PL3, m, wp,  &
    riMaxIn, riMaxOut, rankInc)
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (kind = dp), intent(in), dimension(0:3) :: P3, PL3
      complex (kind = dp), intent(in), dimension(0:3) :: w3
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(VVVV0)
!       c0*(Metric(1,2)*Metric(3,4) - Metric(1,3)*Metric(2,4)/2 - Metric(1,4)*   
!       Metric(2,3)/2)
        do j = riMaxIn, 0, -1
          x0vec = wl(:,j)/2
          wp(:,j) = w2(:)*(cima*co(0)*w3(0)*wl(0,j)/2 - cima*co(0)*w3(1)*wl(1,j&
                    )/2 - cima*co(0)*w3(2)*wl(2,j)/2 - cima*co(0)*w3(3)*wl(3,j &
                    )/2) + w3(:)*(-cima*co(0)*w2(0)*wl(0,j) + cima*co(0)*w2(1)*&
                    wl(1,j) + cima*co(0)*w2(2)*wl(2,j) + cima*co(0)*w2(3)*wl(3,&
                    j)) + x0vec*(cima*co(0)*w2(0)*w3(0) - cima*co(0)*w2(1)*w3(1&
                    ) - cima*co(0)*w2(2)*w3(2) - cima*co(0)*w2(3)*w3(3))
        end do 
      case(VVVV1)
!       c0*(Metric(1,2)*Metric(3,4) + Metric(1,3)*Metric(2,4) - 2*Metric(1,4)*   
!       Metric(2,3))
        do j = riMaxIn, 0, -1
          x0vec = 2*wl(:,j)
          wp(:,j) = w2(:)*(-cima*co(0)*w3(0)*wl(0,j) + cima*co(0)*w3(1)*wl(1,j &
                    ) + cima*co(0)*w3(2)*wl(2,j) + cima*co(0)*w3(3)*wl(3,j)) + &
                    w3(:)*(-cima*co(0)*w2(0)*wl(0,j) + cima*co(0)*w2(1)*wl(1,j &
                    ) + cima*co(0)*w2(2)*wl(2,j) + cima*co(0)*w2(3)*wl(3,j)) + &
                    x0vec*(cima*co(0)*w2(0)*w3(0) - cima*co(0)*w2(1)*w3(1) -   &
                    cima*co(0)*w2(2)*w3(2) - cima*co(0)*w2(3)*w3(3))
        end do 
      case(VVVV2)
!       c0*(Metric(1,2)*Metric(3,4) - 2*Metric(1,3)*Metric(2,4) + Metric(1,4)*   
!       Metric(2,3))
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(0)*w3(0)*wl(:,j) + cima*co(0)*w2(1)*w3(1)*wl&
                    (:,j) + cima*co(0)*w2(2)*w3(2)*wl(:,j) + cima*co(0)*w2(3)* &
                    w3(3)*wl(:,j) + w2(:)*(2*cima*co(0)*w3(0)*wl(0,j) - 2*cima*&
                    co(0)*w3(1)*wl(1,j) - 2*cima*co(0)*w3(2)*wl(2,j) - 2*cima* &
                    co(0)*w3(3)*wl(3,j)) + w3(:)*(-cima*co(0)*w2(0)*wl(0,j) +  &
                    cima*co(0)*w2(1)*wl(1,j) + cima*co(0)*w2(2)*wl(2,j) + cima*&
                    co(0)*w2(3)*wl(3,j))
        end do 
      end select 
    end subroutine loopVVVV
end module lcVVVV
