!******************************************************************************!
!                                                                              !
!    tcVVVV.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVVVV.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVVVV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20
  contains
    subroutine treeVVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, &
    wout, last, VB_last)
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in), dimension(0:3) :: P3, PL3
      complex(kind=dp), intent(in), dimension(0:3) :: w3
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VVVV0)
!       c0*(Metric(1,2)*Metric(3,4) - Metric(1,3)*Metric(2,4)/2 - Metric(1,4)*   
!       Metric(2,3)/2)
        if (last) VB_last = .true.
        wout = -co(0)*(w1(:)*(-w2(0)*w3(0) + w2(1)*w3(1) + w2(2)*w3(2) + w2(3)*&
               w3(3)) + w2(:)*(-w1(0)*w3(0) + w1(1)*w3(1) + w1(2)*w3(2) + w1(3 &
               )*w3(3)) - 2*w3(:)*(-w1(0)*w2(0) + w1(1)*w2(1) + w1(2)*w2(2) +  &
               w1(3)*w2(3)))/2
      case(VVVV1)
!       c0*(Metric(1,2)*Metric(3,4) + Metric(1,3)*Metric(2,4) - 2*Metric(1,4)*   
!       Metric(2,3))
        if (last) VB_last = .true.
        wout = co(0)*(-2*w1(:)*(-w2(0)*w3(0) + w2(1)*w3(1) + w2(2)*w3(2) + w2(3&
               )*w3(3)) + w2(:)*(-w1(0)*w3(0) + w1(1)*w3(1) + w1(2)*w3(2) + w1(&
               3)*w3(3)) + w3(:)*(-w1(0)*w2(0) + w1(1)*w2(1) + w1(2)*w2(2) + w1&
               (3)*w2(3)))
      case(VVVV2)
!       c0*(Metric(1,2)*Metric(3,4) - 2*Metric(1,3)*Metric(2,4) + Metric(1,4)*   
!       Metric(2,3))
        if (last) VB_last = .true.
        wout = co(0)*(w1(:)*(-w2(0)*w3(0) + w2(1)*w3(1) + w2(2)*w3(2) + w2(3)* &
               w3(3)) - 2*w2(:)*(-w1(0)*w3(0) + w1(1)*w3(1) + w1(2)*w3(2) + w1(&
               3)*w3(3)) + w3(:)*(-w1(0)*w2(0) + w1(1)*w2(1) + w1(2)*w2(2) + w1&
               (3)*w2(3)))
      case(VVVV3)
!       Metric(1,4)*Metric(2,3)*c0
!       Metric(1,2)*Metric(3,4)*c1
!       Metric(1,3)*Metric(2,4)*c2
        if (last) VB_last = .true.
        wout = co(0)*w1(:)*(-w2(0)*w3(0) + w2(1)*w3(1) + w2(2)*w3(2) + w2(3)*w3&
               (3)) + co(1)*w3(:)*(-w1(0)*w2(0) + w1(1)*w2(1) + w1(2)*w2(2) +  &
               w1(3)*w2(3)) + co(2)*w2(:)*(-w1(0)*w3(0) + w1(1)*w3(1) + w1(2)* &
               w3(2) + w1(3)*w3(3))
      case(VVVV4)
!       c0*(Metric(1,2)*Metric(3,4) + Metric(1,3)*Metric(2,4) + Metric(1,4)*     
!       Metric(2,3))
        if (last) VB_last = .true.
        wout = co(0)*(w1(:)*(-w2(0)*w3(0) + w2(1)*w3(1) + w2(2)*w3(2) + w2(3)* &
               w3(3)) + w2(:)*(-w1(0)*w3(0) + w1(1)*w3(1) + w1(2)*w3(2) + w1(3 &
               )*w3(3)) + w3(:)*(-w1(0)*w2(0) + w1(1)*w2(1) + w1(2)*w2(2) + w1(&
               3)*w2(3)))
      end select 
    end subroutine treeVVVV
end module tcVVVV
